<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Livewire\WithPagination;

class CoffeesReceived extends Component
{

    use WithPagination;

    public $user;

    public function mount($user)
    {
        $this->user = $user;
    }


    public function render()
    {

        // initial query
        $coffees = $this->user->receivedCoffees()
                                ->where('payment_status', 'Paid')
                                ->orderByDesc('id')
                            ->paginate(5);


        return view('livewire.user-coffees', compact('coffees'));
    }
}
