<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Message extends Model
{
    public function receiver()
    {
        return $this->hasOne(User::class, 'id', 'to_id');
    }

    public function sender()
    {
        return $this->hasOne(User::class, 'id', 'from_id');
    }

    public function media()
    {
        return $this->hasMany(MessageMedia::class);
    }

    public function getTimeAgoAttribute()
    {
        return $this->created_at->diffForHumans();
    }

}
