@extends('admin.base')

@section('section_title')
    <strong>{{ __('Gift Platinum to')  }} {{ $user->profile->handle }}</strong>
    <br/>
    <a href="/admin/users">&raquo; {{ __('Back to Users')}}</a>
@endsection

@section('section_body')
    <form method="POST">
        @csrf
        <div class="p-3 rounded bg-white text-stone-600">
            <h3 class="font-semibold text-lg">{{ __('You can gift platinum plan to an user, select an expiration date') }}</h3>
            <div class="flex items-center space-x-2 mt-3">
                <div class="w-24">
                    {{ __('Day')  }}<br>
                    <x-select class="w-full" name="dd">
                        @for ($i = 1; $i <= 31; $i++)
                            <option value="{{ $i }}">{{ $i }}</option>
                        @endfor
                    </x-select>
                </div>
                <div class="w-24">
                    {{ __('Month')  }}<br>
                    <x-select class="w-full" name="mm">
                        @for ($i = 1; $i <= 12; $i++)
                            <option value="{{ $i }}">{{ $i }}</option>
                        @endfor
                    </x-select>
                </div>
                <div class="w-24">
                    {{ __('Year')  }}<br>
                    <x-select class="w-full" name="yy">
                        @for ($i = date('Y'); $i <= date('Y') + 100; $i++)
                            <option value="{{ $i }}">{{ $i }}</option>
                        @endfor
                    </x-select>
                </div>
            </div>
            <x-button class="mt-5">{{  __('Gift Platinum') }}</x-button>
        </div>
    </form>
@endsection
