@extends('welcome')

@section('seo_title') {{ __('PayPal')  }} - @endsection

@section('content')
<div class="mt-10 mx-auto w-96">
  <h3 class="text-3xl text-indigo-800 heading-gradient font-black">{{__('Redirecting to PayPal')}}</h3>

  <div class="bg-white rounded-lg shadow-sm p-5 border-indigo-100 text-stone-600 text-lg mt-5 text-justify font-semibold">
    {{ __('Please wait while we redirect you to PayPal for payment completion...')  }}

    <form action="{{config('app.paypal_url')}}" method="post" name="paypalform" id="paypalform">
    <input type="hidden" name="business" value="{{ user_meta('paypal_email', true, $order->seller_id) }}"/>
    <input type="hidden" name="return" value="{{ route('paypal-return') . '?type=shop&order=' . $order->id }}" />
    <input type="hidden" name="cancel_return" value="{{ route('shop.ordersPlaced') }}"/>
    <input type="hidden" name="notify_url" value="{{ route('shop.paypalIPN') }}"/>
    <input type="hidden" name="item_name" value="{{ __('Order #') . $order->id }}"/>
    <input type="hidden" name="currency_code" value="{{ opt('payment-settings.currency_code') }}"/>
    <input type="hidden" name="amount" value="{{ $order->order_total }}"/>
    <input type="hidden" name="custom" value="{{ $order->id }}"/>
    <input type="hidden" name="cmd" value="_xclick"/>
    <input type="hidden" name="rm" value="2"/>
    </form>

    <div class="text-center mb-3">
        <img src="{{ asset('images/paypal-btn.png') }}" alt='paypal' class="img-fluid col-6" id="imgPP"/>
    </div>

  </div>
</div>
@endsection

@push('extraJS')
{{-- attention, this is dynamically appended using stack() and push() functions of BLADE --}}
<script>
window.onload = function(){
  document.forms['paypalform'].submit();
}
</script>
@endpush
