@extends('welcome')

@section('seo_title') {{__('v18.contact-us')}} - @endsection

@section('content')
<div class="mt-5">
  <h3 class="text-3xl text-indigo-800 heading-gradient font-black">{{__('v18.contact-us')}}</h3>
  <div class="text-xl text-indigo-800 mb-5">{{__('v18.contact-us-description')}}.</div>

  <form method="POST" action="{{ route('contact-form-process') }}" name="report-content-form">
    @csrf

    <div class="hidden">
      <x-input type="text" name="the_field" />
    </div>

    <x-label class="mt-3">{{__('v14.your-name')}}</x-label>
    <x-input type="text" name="your_name" placeholder="{{__('v14.anonymous')}}" class="w-full lg:w-1/2" value="{{old('your_name')}}" />

    <x-label class="mt-3">{{__('v14.your-email')}}</x-label>
    <x-input type="text" name="your_email" placeholder="{{__('v14.your-email')}}" class="w-full lg:w-1/2" value="{{old('your_email')}}" />

    <x-label class="mt-3">{{__('v18.subject')}}</x-label>
    <x-input type="text" name="your_subject" placeholder="{{__('v18.subject')}}" class="w-full lg:w-1/2" value="{{old('your_subject')}}" />

    <x-label class="mt-3">{{__('v18.your_message')}}</x-label>
    <x-textarea name="your_message" class="w-full lg:w-1/2" rows="6">{{old('your_message')}}</x-textarea>

    <x-label class="mt-3">{{__('v14.math_question')}} {{ $no1 . '+' . $no2 }}?</x-label>
    <x-input type="number" name="reported_math" class="w-full lg:w-1/6" value="{{old('reported_math')}}" />

    <div class="mt-5">
      <x-button class="w-full lg:w-1/6" type="submit" name="reportSbtn">{{__('v192.contact-us')}}</x-button>
    </div>

  </form>
</div>
@endsection
