<div class="flex flex-wrap mt-10 items-center">
    @foreach ($creators as $p)
        <div class="w-96 rounded shadow-sm mb-10 flex-shrink mr-3">
            <div class="relative">
                <a href="{{ route('profile.show', ['username' => $p->username]) }}">
                    <img src="{{ secure_image($p->coverPicture, 385, 135) }}" class="h-32 rounded-tr rounded-tl w-full" />
                </a>
                @if ($p->user->isPlatinum())
                    <div
                        class="absolute top-5 left-0 bg-indigo-800 text-white font-bold text-sm uppercase rounded-tr rounded-br px-2 py-1">
                        {{ __('PLATINUM') }}
                    </div>
                @endif
            </div>
            <div class="bg-white rounded-br rounded-bl px-5 py-3">
                <div class="border-2 border-white bg-white  shadow rounded-full mt-[-50px] w-20 h-20 z-10 relative">
                    <a href="{{ route('profile.show', ['username' => $p->username]) }}">
                        <img src="{{ secure_image($p->profilePic, 95, 95) }}" class="w-full rounded-full" />
                    </a>
                </div>
                <a href="{{ route('profile.show', ['username' => $p->username]) }}"
                    class="font-black text-lg text-indigo-800 mt-2 hover:text-indigo-600 inline-block">
                    {{ $p->name }}
                </a>
                <a href="{{ route('profile.show', ['username' => $p->username]) }}"
                    class="font-thin text-lg text-indigo-800 hover:text-indigo-600 inline-block">
                    {{ $p->handle }}
                </a>
                <div class="mt-1">
                    <a href="{{ route('browseCreators', ['category' => $p->category_id, 'category_name' => Str::slug($p->category->category)]) }}"
                        class="font-semibold text-stone-600 text-sm inline-block bg-stone-100 px-2">
                        <i class="fa fa-tags"></i> {{ $p->category->category }}
                    </a>
                    <div class="mt-1 flex justify-between items-center">
                        <a href="{{ route('profile.show', ['username' => $p->username]) }}"
                            class="font-semibold text-sm text-stone-500">
                            <i class="fa fa-align-left mr-1"></i> {{ $p->posts_count }} @lang('v192.posts')
                        </a>
                        <a href="{{ route('profile.show', ['username' => $p->username]) }}"
                            class="font-semibold text-sm text-stone-500">
                            <i class="fa fa-shop mr-1"></i> {{ $p->products_count }} {{ __('Shop Products') }}
                        </a>
                    </div>
                    <div class="mt-1 flex justify-between items-center">
                        <a href="{{ route('profile.show', ['username' => $p->username]) }}"
                            class="font-semibold text-sm text-stone-500">
                            <i class="fa fa-users mr-1"></i> {{ $p->followers_count }} {{ __('Followers') }}
                        </a>
                    </div>
                </div>
            </div><!-- ./bg-white rounded -->
        </div>
    @endforeach
</div>

<div class="container mt-3">
    @if (method_exists($creators, 'links'))
        {{ $creators->links() }}
    @endif
</div>
