<div class="bg-white p-3 rounded shadow-sm text-stone-700">

    <form method="POST" action="/admin/save-payments-settings">
        {{ csrf_field() }}
        <div class="flex md:flex-row flex-col md:space-x-5">
            <div class="md:w-1/2 w-full">
                <dl>
                    <dt class="font-semibold text-stone-600">{{ __('Enable PayPal Payments?')  }}</dt>
                    <dd>
                        <input type="radio" name="paypalEnable" value="No"
                            @if ('No' == opt('paypalEnable')) checked @endif> {{ __('No')  }}
                        <input type="radio" name="paypalEnable" value="Yes"
                            @if ('Yes' == opt('paypalEnable')) checked @endif> {{ __('Yes')  }}
                    </dd>
                    <dt class="font-semibold text-stone-600 mt-2">{{ __('Paypal Email')  }}</dt>
                    <dd>
                        <x-input type="text" name="paypal_email" value="{{ opt('paypal_email', 'you@paypal.com') }}"
                            class="md:w-2/3 w-full" />
                    </dd>
                    <dt class="font-semibold text-stone-600 mt-5">{{ __('Enable Stripe Payments?')  }}</dt>
                    <dd>
                        <input type="radio" name="stripeEnable" value="No"
                            @if ('No' == opt('stripeEnable')) checked @endif> {{ __('No')  }}
                        <input type="radio" name="stripeEnable" value="Yes"
                            @if ('Yes' == opt('stripeEnable')) checked @endif> {{ __('Yes')  }}
                    </dd>
                    <dt class="font-semibold text-stone-600 mt-3">{{ __('Stripe Public Key')  }}</dt>
                    <dd>
                        <x-input type="text" name="STRIPE_PUBLIC_KEY" value="{{ opt('STRIPE_PUBLIC_KEY') }}"
                            class="md:w-2/3 w-full" />
                        <br>
                    <dt class="font-semibold text-stone-600 mt-3">{{ __('Stripe Secret Key')  }}</dt>
                    <dd>
                        <x-input type="text" name="STRIPE_SECRET_KEY" value="{{ opt('STRIPE_SECRET_KEY') }}"
                            class="md:w-2/3 w-full" />
                        <br>
                    <dt class="font-semibold text-stone-600 mt-3">
                        {{ __('Stripe Webhooks Secret Key')  }}
                        <p class="text-sm text-indigo-500">{{ __('Your Webhooks URL is')  }}:<br/> {{ route('stripeWebhooksListener')  }}</p>
                    </dt>
                    <dd>
                        <x-input type="text" name="STRIPE_WEBHOOK_SECRET" value="{{ opt('STRIPE_WEBHOOK_SECRET') }}"
                            class="md:w-2/3 w-full" />
                    </dd>


                    <dt class="font-semibold text-stone-600 mt-5">{{ __('Currency Symbol')  }}</dt>
                    <dd>
                        <x-input type="text" name="payment-settings.currency_symbol"
                            value="{{ opt('payment-settings.currency_symbol') }}" class="md:w-2/3 w-full" />
                    </dd>
                    <dt class="font-semibold text-stone-600 mt-3">{{ __('Currency ISO Code')  }} <small><a
                                href="https://www.xe.com/iso4217.php" target="_blank">{{ __('ISO
                                List')  }}</a></small></dt>
                    <dd>
                        <x-input type="text" name="payment-settings.currency_code"
                            value="{{ opt('payment-settings.currency_code') }}" class="md:w-2/3 w-full" />
                    </dd>
                </dl>
            </div>

            <div class="md:w-1/2 w-full">
                <dl>
                    <dt class="font-semibold text-stone-600 mt-3">
                        <span class="text-danger">{{ __('Monthly Subscription Price')  }}</span>
                    <dd>
                        <x-input type="number" name="saas.monthlyPrice" value="{{ opt('saas.monthlyPrice') }}"
                            class="md:w-2/3 w-full" />
                    </dd>

                    <dt class="font-semibold text-stone-600 mt-3">
                        <span class="text-danger">{{ __('Yearly Subscription Price')  }}</span>
                    <dd>
                        <x-input type="number" name="saas.yearlyPrice" value="{{ opt('saas.yearlyPrice') }}"
                            class="md:w-2/3 w-full" />
                    </dd>

                    <dt class="font-semibold text-stone-600 mt-3">
                        <span class="text-danger">{{ __('Free Plan Feed Posts Limit')  }}</span>
                    <dd>
                        <x-input type="number" name="free_posts_limit" value="{{ opt('free_posts_limit') }}"
                            class="md:w-2/3 w-full" />
                    </dd>

                    <dt class="font-semibold text-stone-600 mt-3">
                        <span class="text-danger">{{ __('Free Plan Products Limit')  }}</span>
                    <dd>
                        <x-input type="number" name="free_shop_limit" value="{{ opt('free_shop_limit') }}"
                            class="md:w-2/3 w-full" />
                    </dd>


                    <dt class="font-semibold text-stone-600 mt-3">
                        <span class="text-danger">{{ __('Free Plan Coffees/Tips Limit')  }}</span>
                    <dd>
                        <x-input type="number" name="free_tips_limit" value="{{ opt('free_tips_limit') }}"
                            class="md:w-2/3 w-full" />
                    </dd>


                    <dt class="font-semibold text-stone-600 mt-3">
                        <span class="text-danger">{{ __('Free Plan Paid Subsribers Limit')  }}</span>
                    <dd>
                        <x-input type="number" name="free_subscribers_limit"
                            value="{{ opt('free_subscribers_limit') }}" class="md:w-2/3 w-full" />
                    </dd>
                </dl>
            </div>
        </div>

        <div class="mt-5">
            <x-button>{{ __('Save Payment Settings')  }}</x-button>
        </div>

    </form>

</div>
