<div class="mx-auto">
    <div class="md:flex items-center">
        <div>
            <img src="{{ asset('images/compass.png') }}" alt="compass" class="mx-auto" />
        </div>
        <div class="lg:ml-5">
            <h3 class="text-4xl text-indigo-800 heading-gradient font-black">@lang('homepage.browseCreators')</h3>
            <div class="mt-5 flex items:center flex-wrap">

                <div wire:ignore>
                    <x-select name="category" wire:model="category">
                        <option value="all" @if ($category == 'all') selected="selected" @endif>
                            @lang('dashboard.allCategories')</option>
                        @forelse($all_categories AS $c)
                            <option value="{{ $c->id }}"
                                @if ($category == $c->id) selected="selected" @endif>
                                {{ $c->category }}
                            </option>
                        @empty
                            <option value="">@lang('homepage.noCategories')</option>
                        @endforelse
                    </x-select>

                    <x-select name="sortBy" wire:model="sortBy" class="md:ml-5">
                        <option value="popularity" @if ('sortBy' == 'popularity') selected="selected" @endif>
                            @lang('dashboard.sortByPopularity')</option>
                        <option value="postscount" @if ('sortBy' == 'postscount') selected="selected" @endif>
                            @lang('dashboard.sortByPosts')</option>
                        <option value="subscribers" @if ('sortBy' == 'subscribers') selected="selected" @endif>
                            @lang('dashboard.sortBySubscribers')</option>
                        <option value="alphabetically" @if ('sortBy' == 'alphabetically') selected="selected" @endif>
                            @lang('dashboard.sortByAlphabetically')</option>
                        <option value="joindate" @if ('sortBy' == 'joindate') selected="selected" @endif>
                            @lang('dashboard.sortByJoinDate')</option>
                    </x-select>
                </div>
            </div>
        </div>
        <div class="lg:ml-5 mt-5 lg:mt-0">
            @if ($adCode = opt('browseCreatorsAdCode'))
                @if (!auth()->check() or
                    !auth()->user()->isPlatinum())
                    {!! $adCode !!}
                @endif
            @endif
        </div>
    </div><!-- ./flex -->

    @include('creators.loop')

    <div wire:loading>
        <i class="fas fa-spinner fa-spin"></i> @lang('profile.pleaseWait')
    </div>
</div>
