<div>
    
    <h2 class="text-2xl text-indigo-800 pb-3 font-semibold pl-2">
        <i class="fa-solid fa-bell"></i> @lang('navigation.myNotifications')
    </h2>

    <div class="bg-white rounded-lg p-3 shadow-sm text-stone-700">
    @if(!$notifications->count())
        @lang('general.noNotifications')
    @endif

    @foreach($notifications as $n)

        <p class="pt-3 pl-3 pr-3 @if(is_null($n->read_at)) text-bold @endif">
        @if($n->type == 'App\Notifications\ReceivedLike')
            @lang('general.userLikesPost', [ 
                                            'user' => '<a class="text-indigo-800 hover:text-indigo-600" href="'.route('profile.show', 
                                                      [ 
                                                          'username' => $n->data['user'] 
                                                      ]).'">@'.$n->data['user'].'</a>', 
                                            'postUrl' => '<a class="text-indigo-800 hover:text-indigo-600"  href='.route('single-post', 
                                                        [
                                                            'post' => $n->data['postId']
                                                        ]).'">'.route('single-post', 
                                                        [
                                                            'post' => $n->data['postId']
                                                        ]).'</a>'
                                            ])
        @elseif($n->type == 'App\Notifications\NewSubscriberNotification') 
        
        
            @lang('general.newFan', [ 'user' => '<a class="text-indigo-800 hover:text-indigo-600" href="'.route('profile.show', ['username' => $n->data['username']]).'">@'.$n->data['username'].'</a>' ])

        @elseif($n->type == 'App\Notifications\PaymentActionRequired')

            @lang('general.paymentVerificationRequired', 
                    [
                        'amount' => opt('payment-settings.currency_symbol') .  $n->data['amount'],
                    ])
            <br>
            <a class="text-indigo-800 hover:text-indigo-600"  href="{{ $n->data['invoice_url'] }}" target="_blank">@lang('general.fixVerification')</a>

        @elseif($n->type == 'App\Notifications\InovicePaidNotification')

            @lang('general.invoicePaidNotification', [
            'amount' => opt('payment-settings.currency_symbol') . $n->data['amount'],
            'creator' => '<a class="text-indigo-800 hover:text-indigo-600"  href="'.route('profile.show', ['username' => $n->data['to_creator']]).'">@'.$n->data['to_creator'].'</a>',
            'viewInvoice' => '<a  class="text-indigo-800 hover:text-indigo-600" href="'.$n->data['invoice_url'].'" target="_blank">'.__('general.view_invoice').'</a>',
            ])

        @elseif($n->type == 'App\Notifications\ReceivedComment') 

        @if(isset($n->data['commentator']))

            @lang('general.userCommentsOnPost', [ 
                                                'user' => '<a class="text-indigo-800 hover:text-indigo-600"  href="'.route('profile.show', ['username' => $n->data['commentator']['profile']['username'] ]).'" class="d-inline">
                                                        @'.$n->data['commentator']['profile']['username'].'
                                                   </a>',
                                                'postUrl' => '<a class="text-indigo-800 hover:text-indigo-600"  href="'.route('single-post', 
                                                        [
                                                            'post' => $n->data['commentable_id']
                                                        ]).'">'.route('single-post', 
                                                        [
                                                            'post' => $n->data['commentable_id']
                                                        ]).'</a>'
                                                ])

        @else
            @lang('general.userCommentsOnPost', [ 
                                                'user' => '<a class="text-indigo-800 hover:text-indigo-600"  href="'.route('profile.show', ['username' => $n->data['commentable']['user']['profile']['username'] ]).'" class="d-inline">
                                                        @'.$n->data['commentable']['user']['profile']['username'].'
                                                   </a>',
                                                'postUrl' => '<a class="text-indigo-800 hover:text-indigo-600"  href="'.route('single-post', 
                                                        [
                                                            'post' => $n->data['commentable_id']
                                                        ]).'">'.route('single-post', 
                                                        [
                                                            'post' => $n->data['commentable_id']
                                                        ]).'</a>'
                                                ])
        @endif

        @elseif($n->type == 'App\Notifications\ReceivedPostMentionNotification')

            @lang('general.mentionNotification', [
                                                'user' => '<a class="text-indigo-800 hover:text-indigo-600"  href="'.route('profile.show', ['username' => $n->data[0]['user']['profile']['username'] ]).'" class="d-inline">
                                                        @'.$n->data[0]['user']['profile']['username'].'
                                                   </a>',
                                                'post' => '<a href="'.route('single-post', 
                                                        [
                                                            'post' => $n->data[0]['id']
                                                        ]).'">'.route('single-post', 
                                                        [
                                                            'post' => $n->data[0]['id']
                                                        ]).'</a>'
                                                 ])

        @elseif($n->type == 'App\Notifications\NewFollower')

            @lang('general.newFreeFollowerNotification', [ 'user' => '<a class="text-indigo-800 hover:text-indigo-600"  href="'.route('profile.show', ['username' => $n->data['profile']['username']]).'" class="d-inline">@'.$n->data['profile']['username'].'</a>' ])

        @elseif($n->type == 'App\Notifications\TipReceivedNotification')
                                    
            @lang('general.tipReceivedNotification', [
                'tipper' => '<a  class="text-indigo-800 hover:text-indigo-600" href="'.route('profile.show', ['username' => $n->data['from_user']]).'">'.$n->data['from_handle'].'</a>',
                'amount' => opt('payment-settings.currency_symbol') . $n->data['amount']
            ])

        @elseif($n->type == 'App\Notifications\UnlockedMessageNotification')
                                    
            @lang('v19.unlockedMessageNotification', [
                'tipper' => '<a class="text-indigo-800 hover:text-indigo-600"  href="'.route('profile.show', ['username' => $n->data['from_user']]).'">'.$n->data['from_handle'].'</a>',
                'amount' => opt('payment-settings.currency_symbol') . $n->data['amount']
            ])                                    

        @elseif($n->type == 'App\Notifications\NewOrderNotification')

            @lang('general.newOrderNotification', [
                'amount' => opt('payment-settings.currency_symbol') . $n->data['order_total'],
                'product' => '<span class="font-bold">'.$n->data['product'].'</span>',
                'myOrdersLink' => '<a class="text-indigo-800" href="'.route('shop.ordersReceived').'">'.__('View Orders Received').'</a>'
            ])

        @endif

        <br>
        <small>
            <span class="text-stone-500">
                <i class="fas fa-clock"></i> {{ $n->created_at->diffForHumans() }}
            </span>
        </small>
    </p>
    
    {{ $n->markAsRead() }}
    @endforeach

    </div>
    {{ $notifications->links() }}

</div>
