<div class="bg-white rounded-lg shadow-sm px-5 py-10">
    <ul class="flex flex-wrap text-sm font-medium text-center text-gray-500 border-b border-indigo-100">
        <li class="nav-item mr-2">
            <a class="inline-block p-4 rounded-t-lg hover:text-gray-600 hover:bg-gray-50 nav-link @if ($tab == 'Free') bg-gray-100 text-indigo-600 @endif"
                href="javascript:void(0);" wire:click="tab('Free')">
                @lang('general.freeSubscriptions')
            </a>
        </li>
        <li class="nav-item mr-2">
            <a class="inline-block p-4 rounded-t-lg hover:text-gray-600 hover:bg-gray-50 nav-link @if ($tab == 'Paid') bg-gray-100 text-indigo-600 @endif"
                href="javascript:void(0);" wire:click="tab('Paid')">
                @lang('general.paidSubscriptions')
            </a>
        </li>
    </ul>

    @if ($subscribers->count())

        <div class="mt-4 flex flex-wrap items-center">

            @if ($tab == 'Paid')

                @foreach ($subscribers as $s)
                    <div class="flex lg:w-1/2 items-center w-full mb-3">

                        <div class="border-2 border-white bg-white  shadow rounded-full w-20 h-20">
                            <a href="{{ route('profile.show', ['username' => $s->creator->profile->username]) }}">
                                <img src="{{ secure_image($s->creator->profile->profilePic, 95, 95) }}"
                                    class="w-full rounded-full" />
                            </a>
                        </div>

                        <div class="flex-grow pl-2">
                            <div class="text-lg text-gray-500 font-semibold flex">
                                {{ $s->creator->profile->name }}
                            </div>

                            <a href="{{ $s->creator->profile->url }}"
                                class="font-bold lg:text-lg text-xl text-indigo-800 hover:text-indigo-600 flex mb-1">
                                {{ $s->creator->profile->handle }}
                            </a>
                            <span class="rounded-lg bg-gray-200 text-gray-500 font-semibold text-xs p-1 w-full">
                                @lang('general.expires') - {{ $s->subscription_expires->format('jS F Y') }}
                            </span>
                            </small>
                        </div>
                    </div>
                @endforeach
            @elseif($tab == 'Free')
                @foreach ($subscribers as $s)
                    <div class="flex lg:w-1/2 items-center w-full mb-3">
                        <div class="border-2 border-white bg-white  shadow rounded-full w-20 h-20">
                            <a href="{{ route('profile.show', ['username' => $s->profile->username]) }}">
                                <img src="{{ secure_image($s->profile->profilePic, 95, 95) }}"
                                    class="w-full rounded-full" />
                            </a>
                        </div>

                        <div class="flex-grow pl-2">
                            <div class="text-lg text-gray-500 font-semibold flex">
                                {{ $s->profile->name }}
                            </div>
                            <a href="{{ $s->profile->url }}"
                                class="font-bold lg:text-lg text-xl text-indigo-800 hover:text-indigo-600">
                                {{ $s->profile->handle }}
                            </a>
                            <br>
                            <a href="javascript:void(0);" wire:click="unfollow({{ $s->id }})"
                                class="text-rose-600 hover:text-rose-800 text-sm">
                                @lang('general.unfollow')
                            </a>
                        </div>
                    </div>{{-- main flex --}}
                @endforeach
            @endif

            <div class="flex w-full mt-5">
                {{ $subscribers->links() }}
            </div>

        </div>
    @else
        <h3 class="text-gray-500 text-center mt-5 flex text-xl">
            <i class="far fa-surprise"></i> @lang('profile.noSubscriptions')
        </h3>
    @endif


</div>
