@extends('account')

@section('seo_title')
    @lang('messages.compose') -
@endsection

@section('account_section')
    <h3 class="text-stone-500 flex items-center">
        <i class="fa-solid fa-arrow-left mr-2"></i>
        <a href="{{ request()->has('from') ? route('messages.outbox') : route('messages.inbox') }}"
            class="hover:underline hover:text-stone-600">
            @lang('messages.backToInbox')
        </a>
    </h3>

    <div class="bg-white rounded-lg shadow-sm px-5 py-8 mt-5 text-stone-500">

        @if($users->count())
        <form method="POST" id="sendMsgForm">
            @csrf

            <x-label>@lang('messages.recipient')</x-label>
            <x-select name="recipient" id="recipient" class="w-full md:w-80">
                @foreach($users as $u)
                    <option value="{{$u->user_id}}">{{ $u->handle }}</option>
                @endforeach
            </x-select>
        
            <x-label class="mt-5">@lang('messages.message')</x-label>
            <x-textarea rows="5" class="w-full md:w-80" name="message"></x-textarea>

            <x-button id="sendMsgButton" class="mt-3">@lang('messages.sendMessage')</x-button>
        </form>
        @else
            @lang('general.noUsersOnPlatform')
        @endif

    </div>
@endsection

{{-- attention, required to be dynamic - using laravel's blade push/stack features --}}
@push('extraJS')
<script>
    window.addEventListener('DOMContentLoaded', (event) => { 
        $("#sendMsgButton").on('click', function() {
            var recipient = $("#recipient").val();
            $("#sendMsgForm").attr('action', '/messages/send/'+recipient);
            $("#sendMsgForm").submit();
        });
    });
</script>
@endpush