@extends('account')

@section('seo_title')
    @lang('dashboard.inbox') -
@endsection

@section('account_section')
    <h3 class="text-stone-500 flex items-center">
        <i class="fa-solid fa-arrow-left mr-2"></i>
        <a href="{{ request()->has('from') ? route('messages.outbox') : route('messages.inbox') }}"
            class="hover:underline hover:text-stone-600">
            @lang('messages.backToInbox')
        </a>
    </h3>

    <div class="flex justify-between items-center mt-5">
        <div class="flex flex-col">
            <div class="border-2 border-white bg-white  shadow rounded-full w-14 h-14">
                <img src="{{ secure_image($m->sender->profile->profilePic, 95, 95) }}" class="w-full rounded-full" />
            </div>
            <a href="{{ route('profile.show', ['username' => $m->sender->profile->username]) }}" target="_blank"
                class="mt-2 text-blue-500 hover:underline hover:text-blue:600 text-xs font-semibold">
                {{ $m->sender->profile->handle }}
            </a>
        </div>
        <div class="flex flex-col">
            <div class="text-sm text-stone-500">
                {{ $m->created_at->format('d/m/Y') }}
                <br />
                {{ $m->created_at->format('H:ia') }}
            </div>
            <div>
                <a href="" class="text-red-500 hover:text-red-600 hover:underline text-xs">
                    <i class="fa-solid fa-trash"></i> @lang('messages.deleteMessage')
                </a>
            </div>
        </div>
    </div>



    <div class="bg-white rounded-lg shadow-sm px-5 py-8 mt-5 text-stone-500">
        {{ $m->message }}
    </div>

    @if (!request()->has('from'))
        <form method="POST" enctype="multipart/form-data"
            action="{{ route('messages.sendReply', ['user' => $m->from_id]) }}" class="mt-5">
            @csrf
            <x-textarea required="required" name="message" class="w-full"
                placeholder="{{ __('Write your message to :handle here', ['handle' => $m->sender->profile->handle]) }}" />
            <x-button>{{ __('Submit Reply') }}</x-button>
        </form>
    @endif

    </div>
@endsection
