@foreach ($comments as $comment)
    <div class="flex singleComment bg-stone-100 rounded-lg px-2 py-2 items-start mb-2" data-id="{{ $comment->id }}">
        <div class="hidden md:block">
            <div class="border-2 border-white bg-white shadow rounded-full w-10 h-10">
                <a href="{{ route('profile.show', ['username' => $comment->commentator->profile->username]) }}">
                    <img src="{{ asset($comment->commentator->profile->profilePic) }}" alt="" width="40" height="40"
                        class="rounded-full">
                </a>
            </div>
        </div>
        <div class="flex-grow">
            <div class="comment-item ml-3">
                <a href="{{ route('profile.show', ['username' => $comment->commentator->profile->username]) }}"
                    class="comment-user">
                    {{ $comment->commentator->name }}
                </a> <small class="text-gray-600 text-sm">{{ $comment->created_at->diffForHumans() }}</small><br>

                <div class="text-wrap comment-content mt-1 text-gray-800 text-sm break-all"
                    data-id="{{ $comment->id }}" data-post="{{ $comment->commentable->id }}">
                    {{ $comment->comment }}
                </div>
                <div class="comment-form" data-id="{{ $comment->id }}" data-post="{{ $comment->commentable->id }}">
                </div>

                @if (auth()->check() and auth()->id() == $comment->user_id)
                    <div class="comment-actions mt-2 border-top pt-2 text-secondary">
                        <a href="javascript:void(0)" class="edit-comment text-secondary" data-id="{{ $comment->id }}"
                            data-post="{{ $comment->commentable->id }}">
                            <small><i class="fas fa-pencil-alt"></i> @lang('post.edit-comment')</small>
                        </a>
                        &nbsp;&nbsp;&nbsp;
                @endif
                @if (auth()->check() and auth()->id() == $comment->user_id or $comment->commentable->user_id == auth()->id())
                    <a href="javascript:void(0)" class="delete-comment text-secondary" data-id="{{ $comment->id }}"
                        data-post="{{ $comment->commentable->id }}">
                        <small><i class="fas fa-ban"></i> @lang('post.delete-comment')</small>
                    </a>
                @endif
            </div>
        </div>
    </div>
    </div>
@endforeach
