@if ($post->media_type == 'Image')

    @if ($post->postmedia->count())
        @if ($post->disk == 'backblaze')
            <img src="https://{{ opt('BACKBLAZE_BUCKET') . '.' . opt('BACKBLAZE_REGION') . '/' . $post->media_content }}" alt="" class="rounded-t-lg" />
        @else
            <img src="{{ \Storage::disk($post->disk)->url($post->media_content) }}" alt="" class="rounded-t-lg" />
        @endif
        @foreach ($post->postmedia as $extraMedia)
            @if ($extraMedia->disk == 'backblaze')
                <img src="https://{{ opt('BACKBLAZE_BUCKET') . '.' . opt('BACKBLAZE_REGION') . '/' . $extraMedia->media_content }}" alt="" class="" />
            @else
                <img src="{{ \Storage::disk($extraMedia->disk)->url($extraMedia->media_content) }}" alt="" class="@if($loop->last) rounded-b-lg @endif" />
            @endif
        @endforeach
    @else
        @if ($post->disk == 'backblaze')
                <img src="https://{{ opt('BACKBLAZE_BUCKET') . '.' . opt('BACKBLAZE_REGION') . '/' . $post->media_content }}"
                    alt="" class="rounded-tr-lg rounded-tl-lg" />
        @else
                <img src="{{ \Storage::disk($post->disk)->url($post->media_content) }}" alt=""
                    class="rounded-tr-lg rounded-tl-lg" />
        @endif

    @endif
@elseif($post->media_type == 'Video')
        <video class="aspect-video w-full rounded-tr-lg rounded-tl-lg" controls @if (opt('enableMediaDownload', 'No') == 'No') controlsList="nodownload" @endif preload="metadata"
            disablePictureInPicture>
            @if ($post->disk == 'backblaze')
                <source
                    src="https://{{ opt('BACKBLAZE_BUCKET') . '.' . opt('BACKBLAZE_REGION') . '/' . $post->media_content }}#t=0.5"
                    type="video/mp4" />
            @else
                <source src="{{ \Storage::disk($post->disk)->url($post->video_url) }}#t=0.5" type="video/mp4" />
            @endif
            @lang('post.videoTag')
        </video>
@elseif($post->media_type == 'Audio')
    <div class="pt-4 px-2">
        <audio class="w-full" controls @if (opt('enableMediaDownload', 'No') == 'No') controlsList="nodownload" @endif>
            @if ($post->disk == 'backblaze')
                <source
                    src="https://{{ opt('BACKBLAZE_BUCKET') . '.' . opt('BACKBLAZE_REGION') . '/' . $post->media_content }}"
                    type="audio/mp3">
            @else
                <source src="{{ \Storage::disk($post->disk)->url($post->audio_url) }}" type="audio/mp3">
            @endif
            @lang('post.audioTag')
        </audio>
    </div>
@elseif($post->media_type == 'ZIP')
        <a href="{{ route('downloadZip', ['post' => $post]) }}" target="_blank" class="text-lg font-bold text-stone-600 hover:text-stone-500 px-3 mt-4 inline-block">
  <img src="{{asset('images/zip-icon.svg')}}" alt="zip icon" class="w-8 h-8"/>
            @lang('v16.zipDownload')
        </a>
@endif

