<div id="coffee-popup" class="hidden w-80 fixed inset-x-0 z-50 top-1/2 left-1/2 -translate-y-1/2 -translate-x-1/2">
    <div class="bg-white border-indigo-200 border-2 rounded-md text-lg flex items-center w-full">
        <div class="relative w-full rounded mb-10 flex-shrink">
            <div class="bg-white rounded-br rounded-bl px-5 py-3 text-center">
                <div class="mx-auto w-8 md:w-20 z-10 relative justify-center">
                    <a href="{{ route('profile.show', ['username' => $profile->username]) }}">
                        <img src="{{ asset('images/coffee-icon.png') }}" class="w-8 md:w-20" />
                    </a>
                </div>
                <span class="font-black text-lg md:text-xl text-indigo-800 mt-2 inline-block">
                    {{ __('Send Coffee to :handle', ['handle' => $profile->handle]) }}
                </span>
            </div>
            <div class="text-center text-xl text-stone-500 font-semibold">
                <span class="coffeePrice rounded-lg p-2 bg-indigo-200 font-bold text-indigo-600">
                    {{ opt('payment-settings.currency_symbol')  }}<span id="coffeeTotal">{{ number_format($profile->coffee_price,2) }}</span>
                </span>
            </div>
            <div class="text-center pt-5 border-t mt-5">
                @if($profile->user->canReceiveTips())
                <form method="POST" action="{{route('sendCoffee', ['user' => $profile->user])  }}">
                    @csrf
                    <div class="flex items-center justify-center p-1 mx-auto w-2/3 rounded-lg">
                        <div class="mr-1">
                            <button id="decreaseCoffee" class="font-bold p-1 w-8 bg-indigo-100 text-xl rounded-lg text-stone-600" data-price="{{ $profile->coffee_price }}">
                                -
                            </button>
                        </div>
                        <div class="border-indigo-200 border-2 rounded-lg p-1">
                            <input name="coffee_count" id="coffee_count" type="text" value="1" class="w-20 text-center font-bold text-stone-600 border-none focus:border-none focus:ring-0 outline-none focus:outline-none" required/>
                        </div>
                        <div class="ml-1">
                            <button id="increaseCoffee" class="font-bold p-1 w-8 bg-indigo-100 text-xl rounded-lg mr-2 text-stone-600" data-price="{{ $profile->coffee_price }}">
                                +
                            </button>
                        </div>
                    </div>

                        <div class="w-full p-5">
                            <x-input class="w-full" name="message" placeholder="{{__('Optional message')  }}"></x-input>
                            <br />
                            <x-select name="isPublic" class="w-full mt-3">
                                <option value="yes">{{ __('Public Message')  }}</option>
                                <option value="no">{{ __('Private Message, only :handle can see', ['handle' => $profile->handle]) }}</option>
                            </x-select>
                        </div>
                    <x-button
                        class="mt-3 text-sm inline-flex rounded-lg  text-white bg-indigo-700 hover:bg-indigo-500 font-semibold">
                        {{ __('Buy Coffee') }}
                    </x-button>
                </form>
                @else
                    <span class="text-stone-500">
                    {{  __('User has reached tips/coffees limit allowed in the free plan') }}
                    @if(auth()->id() == $profile->user_id)
                    <br/>
                    <a href="{{route('home') }}#platinum" class="underline hover:no-underline">{{__('Check Platinum')  }}</a>
                    @endif
                    </span>
                @endif
            </div>

        </div>
        <div class="absolute -bottom-10 text-center w-full ">
            <button
                class="close-coffee-popup-btn bg-rose-700 hover:bg-rose-600 text-white font-bold text-sm uppercase rounded-lg  px-2 py-1">
                <i class="fa-solid fa-circle-xmark"></i> {{ __('Close') }}
            </button>
        </div>
    </div>
</div>
