<div id="membership-popup" class="hidden w-80 fixed inset-x-0 z-50 top-1/2 left-1/2 -translate-y-1/2 -translate-x-1/2">
    <div class="bg-white border-indigo-200 border-2 rounded-md text-lg flex items-center w-full">
        <div class="relative w-full rounded mb-10 flex-shrink">
            <div class="relative">
                <img src="{{ secure_image($profile->coverPicture, 325, 105) }}"
                    class="h-24 rounded-tr rounded-tl w-full" />
                @if ($profile->user->isPlatinum())
                    <div
                        class="absolute top-5 left-0 bg-indigo-800 text-white font-bold text-sm uppercase rounded-tr rounded-br px-2 py-1">
                        {{ __('PLATINUM') }}
                    </div>
                @endif
            </div>
            <div class="bg-white rounded-br rounded-bl px-5 py-3 text-center">
                <div
                    class="mx-auto border-2 border-white bg-white  shadow rounded-full mt-[-50px] w-20 h-20 z-10 relative">
                    <a href="{{ route('profile.show', ['username' => $profile->username]) }}">
                        <img src="{{ secure_image($profile->profilePic, 95, 95) }}" class="w-full rounded-full" />
                    </a>
                </div>
                <a href="{{ route('profile.show', ['username' => $profile->username]) }}"
                    class="font-black text-lg text-indigo-800 mt-2 hover:text-indigo-600 inline-block">
                    {{ $profile->name }}
                </a>
                <a href="{{ route('profile.show', ['username' => $profile->username]) }}"
                    class="font-thin text-lg text-indigo-800 hover:text-indigo-600 inline-block">
                    {{ $profile->handle }}
                </a>
            </div>
            <div class="text-center text-xl text-stone-500 font-semibold">
                {{ __('Choose your plan') }}
            </div>
            <div class="text-center border-t pt-5 mt-2">
                @if ($profile->user->canTakePaidMembership())
                    @if(!$profile->monthlyFee || !user_meta('paypal_email', true, $profile->user->id))
                        <p class="text-lg text-stone-600 font-thin">
                            {{ __("User didn't configure a price or payment email")  }}
                        </p>
                    @else
                        <div>
                            <h3 class="text-lg font-semibold text-indigo-700">
                                {{ opt('payment-settings.currency_symbol') . $profile->monthlyFee }} / {{ __('Monthly') }}
                            </h3>
                        </div>
                        <div>
                            <span class="text-stone-500">
                                {{ __('Unlocks all posts for a month') }}
                            </span>
                        </div>
                        <a href="{{ route('subscribeViaPaypal', ['user' => $profile->user]) }}"
                            class="mt-2 mb-3 text-sm inline-flex rounded-lg px-3 py-1 text-white bg-indigo-700 hover:bg-indigo-500 font-semibold">
                            {{ __('Subscribe Monthly') }}
                        </a>
                    @endif
                @else
                    <span class="text-stone-500">
                        {{ __('User has reached limit of paid memberships allowed in the free plan') }}
                        @if (auth()->id() == $profile->user_id)
                            <br />
                            <a href="{{ route('home') }}#platinum"
                                class="underline hover:no-underline">{{ __('Check Platinum') }}</a>
                        @endif
                    </span>
                @endif
            </div>
            @if ($profile->user->canTakePaidMembership() && $profile->yearlyFee && user_meta('paypal_email', true, $profile->user->id))
                <div class="text-center border-t pt-5 mt-2">
                    <div>
                        <h3 class="text-lg font-semibold text-indigo-700">
                            {{ opt('payment-settings.currency_symbol') . $profile->yearlyFee }} / {{ __('Yearly') }}
                        </h3>
                    </div>
                    <div>
                        <span class="text-stone-500">
                            {{ __('Unlocks all posts for a year') }}
                        </span>
                    </div>
                    <a href="{{ route('subscribeViaPaypal', ['user' => $profile->user]) }}?plan=yearly"
                        class="mt-2 text-sm inline-flex rounded-lg px-3 py-1 text-white bg-indigo-700 hover:bg-indigo-500 font-semibold">
                        {{ __('Subscribe Yearly') }}
                    </a>
                </div>
            @endif
        </div>
        <div class="absolute -bottom-10 text-center w-full ">
            <button
                class="close-popup-btn bg-rose-700 hover:bg-rose-600 text-white font-bold text-sm uppercase rounded-lg  px-2 py-1">
                <i class="fa-solid fa-circle-xmark"></i> {{ __('Close') }}
            </button>
        </div>
    </div>
</div>
