@extends('welcome')

@section('seo_title')
    {{ __('PayPal')  }} -
@endsection

@section('content')
    <div class="container mt-10">
        <div class="bg-white rounded-lg p-3 max-w-md mx-auto shadow-sm mt-10">

            <div class="mt-5 text-center text-xl text-stone-600 font-semibold">
                <h5>
                    @lang('general.subscribeInfo', [
                        'user' =>
                            '<a href="' .
                            route('profile.show', [
                                'username' => $user->profile->username,
                            ]) .
                            '">' .
                            $user->profile->handle .
                            '</a>',
                        'amount' => opt('payment-settings.currency_symbol') . $price,
                        'period' => $plan,
                    ])
                </h5>
            </div>

            <form action="{{config('app.paypal_url')}}" method="post" name="paypalform" id="paypalform">
                <input type="hidden" name="business" value="{{ user_meta('paypal_email', true, $user->id) }}" />
                <input type="hidden" name="return"
                                     value="{{ route('paypal-return') . '?type=creator-subscription&creator=' . $user->id }}" />
                <input type="hidden" name="cancel_return"
                    value="{{ route('profile.show', ['username' => $user->profile->username]) }}" />
                <input type="hidden" name="notify_url"
                    value="{{ route('paypalProcessing', ['creator' => $user->id, 'subscriber' => auth()->id(), 'plan' => $plan]) }}" />
                <input type="hidden" name="item_name" value="{{ __('Subscription to :username', ['username' => $user->profile->username]) }}" />
                <input type="hidden" name="item_number" value="{{ $plan }} {{ __('Subscription')  }}" />
                <input type="hidden" name="currency_code" value="{{ opt('payment-settings.currency_code') }}" />
                <input type="hidden" name="a3" value="{{ $price }}" />
                <input type="hidden" name="p3" value="1" />
                <input type="hidden" name="t3" value="{{ $plan == 'Yearly' ? 'Y' : 'M' }}" />
                <input type="hidden" name="src" value="1" />
                <input type="hidden" name="cmd" value="_xclick-subscriptions" />
                <input type="hidden" name="rm" value="2" />
                <input type="hidden" name="no_shipping" value="1">
            </form>

            <div class="text-center mb-3">
                <img src="{{ asset('images/paypal-btn.png') }}" alt='paypal' class="mt-3 w-8/12 mx-auto" id="imgPP" />
            </div>

        </div>
    </div>
@endsection

{{-- attention, this is dynamically appended using stack() and push() functions of BLADE --}}
@push('extraJS')
    <script>
        window.onload = function() {
            document.forms['paypalform'].submit();
        }
    </script>
@endpush
