@extends('welcome')

@section('seo_title')
    {{ __('Coffee')  }} -
@endsection

@section('content')
    <div class="container mt-10">
        <div class="bg-white rounded-lg p-3 max-w-md mx-auto shadow-sm mt-10">
            <div class="mt-5 text-center text-xl text-stone-600 font-semibold">
                <h5>
                    @lang('general.coffeeInfo', [
                        'user' => '<a href="' .  route('profile.show', [ 'username' => $user->profile->username]).'">' . $user->profile->handle . '</a>',
                        'amount' => opt('payment-settings.currency_symbol') . number_format($amount, 2),
                        'coffee_count' => request('coffee_count'),
                    ])
                </h5>
            </div>

            <form action="{{config('app.paypal_url')}}" method="post" name="paypalform" id="paypalform">
                <input type="hidden" name="business" value="{{ user_meta('paypal_email', true, $user->id) }}" />
                <input type="hidden" name="return" value="{{ route('paypal-return') . '?type=coffee' }}" />
                <input type="hidden" name="cancel_return" value="{{ route('profile.show', ['username' => $user->profile->username]) }}" />
                <input type="hidden" name="notify_url" value="{{route('coffeeIPN')  }}" />
                <input type="hidden" name="item_name" value="{{ __('Coffee for :handle', ['handle' => $user->profile->handle]) }}" />
                <input type="hidden" name="currency_code" value="{{ opt('payment-settings.currency_code') }}" />
                <input type="hidden" name="amount" value="{{ $amount }}" />
                <input type="hidden" name="custom" value="{{ $coffee->id }}" />
                <input type="hidden" name="cmd" value="_xclick" />
                <input type="hidden" name="rm" value="2" />
            </form>

            <div class="text-center mb-3">
                <img src="{{ asset('images/paypal-btn.png') }}" alt='paypal' class="img-fluid col-6" id="imgPP" />
            </div>

        </div>
    </div>
@endsection

@push('extraJS')
    {{-- attention, this is dynamically appended using stack() and push() functions of BLADE --}}
    <script>
        window.onload = function() {
            document.forms['paypalform'].submit();
        }
    </script>
@endpush
