<div class="hidden w-80 fixed inset-x-0 z-50 top-1/2 left-1/2 -translate-y-1/2 -translate-x-1/2 leave-tip mt-2 "
    data-post="{{ $post->id }}">
    <div class="bg-white border-indigo-200 border-2 rounded-md text-lg flex items-center w-full">
        <div class="relative w-full rounded mb-10 flex-shrink">
            <div class="bg-white rounded-br rounded-bl px-5 py-3 text-center">
                <div class="mx-auto w-20 h-20 z-10 relative">
                    <a href="{{ route('profile.show', ['username' => $post->profile->username]) }}">
                        <img src="{{ asset('images/tip-icon.png') }}" class="w-full" />
                    </a>
                </div>
                <span class="font-black text-xl text-indigo-800 mt-2 inline-block">
                    {{ __('Send Tip to :handle', ['handle' => $post->profile->handle]) }}

                </span>
            </div>
            <div class="text-center text-xl text-stone-500 font-semibold">
                {{ __('Minimum :amount', ['amount' => opt('payment-settings.currency_symbol') . $post->profile->minTip]) }}
            </div>
            <div class="text-center pt-5 border-t mt-5">
                @if($post->user->canReceiveTips())
                    @if(!$post->user->profile->minTip || !user_meta('paypal_email', true, $post->profile->user->id))
                        <p class="text-lg text-stone-600 font-thin">
                            {{ __("User didn't configure a price or payment email")  }}
                        </p>
                    @else
                        <form method="POST" action="{{ route('sendTip', ['post' => $post->id]) }}" name="tipFrm-{{ $post->id }}">
                            @csrf
                            <div class="flex items-center border-indigo-200 border-2 p-1 mx-auto w-2/3 rounded-lg">
                                <div class="w-8 bg-indigo-100 text-xl rounded-lg mr-2 text-stone-600">{{ opt('payment-settings.currency_symbol')  }}</div>
                                <div>
                                    <input name="tipAmountForPost-{{ $post->id }}" type="number" value="{{ $post->profile->minTip }}" step="any" class="w-full text-stone-600 border-none focus:border-none focus:ring-0 outline-none focus:outline-none"/>
                                </div>
                            </div>
                            <x-button
                                class="mt-3 text-sm inline-flex rounded-lg  text-white bg-indigo-700 hover:bg-indigo-500 font-semibold">
                                {{ __('Tip :handle', ['handle' => $post->profile->handle]) }}
                            </x-button>
                        </form>
                    @endif
                @else
                    <span class="text-stone-500">
                    {{  __('User has reached tips/donations limit allowed in the free plan') }}
                    @if(auth()->id() == $post->user_id)
                    <br/>
                    <a href="{{route('home') }}#platinum" class="underline hover:no-underline">{{__('Check Platinum')  }}</a>
                    @endif
                    </span>
                @endif
            </div>

        </div>
        <div class="absolute -bottom-10 text-center w-full ">
            <button
                class="close-tip-popup-btn bg-rose-700 hover:bg-rose-600 text-white font-bold text-sm uppercase rounded-lg  px-2 py-1">
                <i class="fa-solid fa-circle-xmark"></i> {{ __('Close') }}
            </button>
        </div>
    </div>
</div>
