<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="_token" content="{{ csrf_token() }}" />

    <title>@yield('seo_title', ''){{ opt('seo_title') }}</title>

    @if(request()->route() && request()->route()->getName() == 'home')
    <meta name="description" content="{{ opt('seo_desc')  }}" />
    <meta name="keywords" content="{{ opt('seo_keys')  }}" />
    @endif

    <!-- favicon -->
    <link rel="shortcut icon" type="image/png" href="{{ asset(opt('favicon', 'favicon.png')) }}" sizes="128x128" />

    <!-- fonts -->
    <link rel="stylesheet" type="text/css" href="{{ asset('fonts/nunito/fonts.css') }}" />

    <!-- livewire styles -->
    @livewireStyles

    <!-- fontawesome -->
    <link rel="stylesheet" type="text/css" href="{{ asset('fonts/fontawesome/css/fontawesome.min.css') }}" />
    <link rel="stylesheet" type="text/css" href="{{ asset('fonts/fontawesome/css/solid.min.css') }}" />

    <!-- Cookie Consent -->
    <link href="{{ asset('css/cookieconsent.min.css') }}" rel="stylesheet" />

    <!-- Vite CSS -->
    <link rel="stylesheet" href="{{asset('css/style.min.css') }}" />

    <!-- custom CSS from view files (if any) -->
    @stack('extraCSS')

    <!-- translations for JS -->
    @include('js-translations')

</head>

<body class="flex flex-col min-h-screen">

    <div id="membership-overlay" class="hidden fixed z-40 w-screen h-screen inset-0 bg-gray-900 bg-opacity-90"></div>

    <x-topnavi />

    <div class="max-w-7xl mx-auto pt-10 flex-grow min-h-full px-3 w-full">
        <div class="mt-10">
            @yield('content', '--')
        </div>
    </div><!-- ./max-w-7xl -->

    <x-footer />

    <!-- livewire scripts -->
    @livewireScripts

    <!-- APP JS -->
    <script src="{{ asset('js/app.min.js')  }}"></script>

    <!-- SweetAlert2 -->
    @include('sweetalert::alert')

    <script src="{{ asset( 'js/cookieconsent.min.js' ) }}"></script>

    {{-- COOKIE CONSENT: attention, this is required inline because users can translate it --}}
    <script>
        window.cookieconsent.initialise({
          "palette": {
            "popup": {
              "background": "#edeff5",
              "text": "#838391"
            },
            "button": {
              "background": "#4b81e8"
            }
          },
          "content": {
            "message": "@lang('general.cookieMessage')",
            "dismiss": "@lang('general.cookieDismiss')",
            "link": "@lang('general.privacyPolicyText')",
            "href": "@lang('v14.privacyPolicyLink')",
          }
        });

        
    </script>

    <!-- custom JS from view files (if any) -->
    @stack('extraJS')

</body>

</html>
