<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\API\PayPalController;
use App\Http\Controllers\API\StripeController;
use App\Http\Controllers\SubscriptionController;
use App\Http\Controllers\Admin;
use App\Http\Middleware\AdminMiddleware;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

// PayPal Return
Route::any('paypal-return', function() {
  return redirect(route('feedNotify'));
})->name('paypal-return');

// Shop Checkout IPN (PAYPAL)
Route::post('paypal/shop/ipn', [PayPalController::class, 'shopIPN'])->name('shop.paypalIPN');

// Coffee IPN (PAYPAL)
Route::post('paypal/coffee/ipn', [PayPalController::class, 'coffeeIPN'])->name('coffeeIPN');

// Subscription to Creator (PAYPAL)
Route::post('paypal/subscription/ipn/{creator}/{subscriber}/{plan}', [SubscriptionController::class, 'creatorIPN'])->name('paypalProcessing');

// Subscription to Saas Platinum (PAYPAL)
Route::post('paypal/saas/ipn/{plan}/{subscriber}', [PayPalController::class, 'saasIPN'])->name('saas.paypalIPN');

// Tip to Creator (PAYPAL)
Route::post('tip/paypal/ipn/{creator}/{subscriber}/{post}', [PayPalController::class, 'processPayPalTip'])->name('paypalTipIPN');

// Stripe Webhooks Listener (STRIPE)
Route::post('stripe/webhooks-listener', [StripeController::class, 'webhooksListener'])->name('stripeWebhooksListener');

