<?php

use App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\FileUploader;
use App\Http\Controllers\BrowseCreators;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\LikeController;
use App\Http\Controllers\PageController;
use App\Http\Controllers\SaasController;
use App\Http\Controllers\ShopController;
use App\Http\Controllers\TipsController;
use App\Http\Controllers\ImageController;
use App\Http\Controllers\PostsController;
use App\Http\Controllers\KoffeeController;
use App\Http\Controllers\SearchController;
use App\Http\Controllers\ContactController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\CheckoutController;
use App\Http\Controllers\CommentsController;
use App\Http\Controllers\MessagesController;
use App\Http\Controllers\SubscriptionController;
use App\Http\Controllers\NotificationsController;

// Homepage
Route::get('/', [HomeController::class, 'index'])->name('home');

// Report content route
Route::get('report-content', [HomeController::class, 'report'])->name('report');
Route::post('store-report', [HomeController::class, 'storeReport'])->name('storeReport');

// User Profile
Route::post('profile/update', [ProfileController::class, 'store'])->name('storeMyPage');
Route::Post('profile/save-fee', [ProfileController::class, 'saveMembershipFee'])->name('saveMembershipFee');
Route::get('profile/settings', [ProfileController::class, 'accountSettings'])->name('accountSettings');
Route::get('profile/payment-gateways', [ProfileController::class, 'paymentGateways'])->name('paymentGateways');
Route::post('profile/save-payment-gateways', [ProfileController::class, 'savePaymentGateways'])->name('savePaymentGateways');
Route::post('profile/save-settings', [ProfileController::class, 'saveAccountSettings'])->name('saveAccountSettings');
Route::post('profile/follow/{user}', [ProfileController::class, 'followUser'])->name('followUser');
Route::get('profile/my-subscribers', [ProfileController::class, 'mySubscribers'])->name('mySubscribers');
Route::get('profile/my-subscriptions', [ProfileController::class, 'mySubscriptions'])->name('mySubscriptions');
Route::get('feed/loadMore/{profile}/{lastId}', [ProfileController::class, 'ajaxFeedForProfile'])->name('loadPostsForProfile');
Route::get('profile/my-tips', [TipsController::class, 'myTips'])->name('myTips');
Route::get('profile/my-unlocks', [TipsController::class, 'myUnlocks'])->name('myUnlocksList');
Route::get('profile/get/profilePicture', [ProfileController::class, 'getProfilePic'])->name('profile.getPic');

// Shop
Route::get('shop/product', [ShopController::class, 'addProduct'])->name('shop.addProduct');
Route::post('shop/save-product', [ShopController::class, 'saveProduct'])->name('shop.saveProduct');
Route::get('shop/my-products', [ShopController::class, 'myProducts'])->name('shop.myProducts');
Route::get('shop/orders-received', [ShopController::class, 'ordersReceived'])->name('shop.ordersReceived');
Route::get('shop/shipping-settings', [ShopController::class, 'shippingSettings'])->name('shop.shippingSettings');
Route::post("file-upload/process", [FileUploader::class, "process"]);
Route::get("file-upload/load/{serviceImages}", [FileUploader::class, "load"]);
Route::delete("file-upload/remove", [FileUploader::class, "remove"]);
Route::post("shop/settings/save-default-price", [ShopController::class, "saveDefaultPrice"])->name('shop.saveDefaultPrice');
Route::post("shop/settings/save-country-price", [ShopController::class, "saveCountryPrice"])->name('shop.saveCountryPrice');
Route::post("shop/settings/save-notes", [ShopController::class, "saveShippingNotes"])->name('shop.saveShippingNotes');
Route::post("shop/settings/disable-shipping-for-country", [ShopController::class, "disableShippingForCountry"])->name('shop.disableShippingForCountry');
Route::get("shop/settings/remove-disabled-country", [ShopController::class, "removeDisabledCountry"])->name('shop.removeDisabledCountry');
Route::get('shop/orders-placed', [ShopController::class, 'ordersPlaced'])->name('shop.ordersPlaced');
Route::get('shop/manage-order/{order}', [ShopController::class, 'manageOrder'])->name('shop.manageOrder');
Route::post('shop/update-order-status/{order}', [ShopController::class, 'updateOrderStatus'])->name('shop.updateOrderStatus');
Route::get('shop/{user}', [ShopController::class, 'userShopFront'])->name('shop.userShopFront');
Route::get('shop/product/{user}/{product}-{slug}', [ShopController::class, 'singleProduct'])->name('shop.singleProduct');
Route::get('shop/download-zip/{order}', [ShopController::class, 'downloadZip'])->name('shop.downloadZip');

// Checkout
Route::post('checkout/process-order', [CheckoutController::class, 'processOrder'])->name('checkout.processOrder');
Route::get('checkout/fetch-shipping-price', [CheckoutController::class, 'getShippingPrice'])->name('checkout.getShippingPrice');
Route::get('checkout/{product}', [CheckoutController::class, 'checkout'])->name('checkout');


// Payments
Route::get('subscribe/paypal/{user}', [SubscriptionController::class, 'paypal'])->name('subscribeViaPaypal')->middleware('auth');

// Tips
Route::post('tip/send/{post}', [TipsController::class, 'processTip'])->name('sendTip')->middleware('auth');
Route::any('tip/paypal/go-to-post/{post}', [TipsController::class, 'redirectPayPalToPost'])->name('paypal-post');

// Coffees
Route::post('coffee/send/{user}', [KoffeeController::class, 'sendCoffee'])->name('sendCoffee');

// Notifications
Route::get('notifications', [NotificationsController::class, 'index'])->name('notifications.index');

// Posts
Route::get('post/{post}', [PostsController::class, 'singlePost'])->name('single-post');
Route::get('post/edit/{post}', [PostsController::class, 'editPost'])->name('editPost');
Route::post('post/save/{post}', [PostsController::class, 'updatePost'])->name('updatePost');
Route::post('save-post', [PostsController::class, 'savePost'])->name('savePost');
Route::get('delete-post/{post}', [PostsController::class, 'deletePost'])->name('deletePost');
Route::get('post/loadById/{post}', [PostsController::class, 'loadAjaxSingle'])->name('loadPostById');
Route::get('post/loadMore/{lastId}', [PostsController::class, 'ajaxFeed'])->name('loadMorePosts');
Route::get('post/delete-media/{post}', [PostsController::class, 'deleteMedia'])->name('deleteMedia');
Route::get('post/download-zip/{post}', [PostsController::class, 'downloadZip'])->name('downloadZip');
Route::post('post/attach-media/{post}', [PostsController::class, 'attachMedia'])->name('posts.attachMedia');
Route::get('post/json/{post}', [PostsController::class, 'postJSON'])->name('posts.json');
Route::post('post/vueapp/api', [PostsController::class, 'vueapi'])->name('posts.vueapi');
Route::get('get/posts-limit', [PostsController::class, 'getPostsLimit'])->name('posts.getLimit');

// SaaS (Platinum Subscription)
Route::get('saas/platinum/{plan}', [SaasController::class, 'selectGateway'])->name('saas.subscribe')->middleware('auth');
Route::get('saas/subscribe/{plan}/{gateway}', [SaasController::class, 'sendToGateway'])->name('saas.sendToGateway')->middleware('auth');
Route::get('sass/stripe/subscription-result', [SaasController::class, 'stripeSubscriptionResult'])->name('saas.stripeSubscriptionResult');

// Likes
Route::post('like/{post}', [LikeController::class, 'like'])->name('likePost');

// Comments
Route::get('comments/{post}/{lastId?}', [CommentsController::class, 'loadForPost'])->name('loadCommentsForPost');
Route::post('comment/{post}', [CommentsController::class, 'postComment'])->name('postComment');
Route::get('comment/load/{comment}/{post}', [CommentsController::class, 'loadCommentById'])->name('loadCommentById');
Route::get('comment/delete/{comment}', [CommentsController::class, 'deleteComment'])->name('deleteComment');
Route::get('comment/form/{comment}', [CommentsController::class, 'editComment'])->name('editComment');
Route::post('comment/update/store', [CommentsController::class, 'updateComment'])->name('updateComment');

// Serve image securely
Route::get('usermedia/{path}', [ImageController::class, 'picture'])->where('path', '.*')->name('serveUserImage');

// Dashboard
Route::get('feed', [PostsController::class, 'feed'])->name('feed');
Route::get('feed-notify', [PostsController::class, 'feedNotify'])->name('feedNotify');
Route::get('me', function () {
    return redirect()->route('feed');
});

// Browse Creators
Route::get('browse-creators/{category?}/{category_name?}', [BrowseCreators::class, 'browse'])->name('browseCreators');

// Search
Route::post('search/results', [SearchController::class, 'results'])->name('search.results');

// Messages
Route::get('messages', [MessagesController::class, 'inbox'])->name('messages.inbox');
Route::get('outbox', [MessagesController::class, 'outbox'])->name('messages.outbox');
Route::get('messages/read/{message}', [MessagesController::class, 'read'])->name('messages.read');
Route::get('messages/compose', [MessagesController::class, 'compose'])->name('messages.compose');
Route::post('messages/send/{user}', [MessagesController::class, 'sendMessage'])->name('messages.sendReply');
Route::post('messages/attach-media/{message}', [MessagesController::class, 'attachMedia'])->name('messages.attachMedia');
Route::post('messages/get/auth-user', [MessagesController::class, 'getAuthUser'])->name('message.getAuthUser');


// Pages Routes
Route::get('p/{page}', PageController::class)->name('page');

// Entry popup
Route::get('entry-popup', [HomeController::class, 'entryPopupCookie'])->name('entryPopupCookie');

// Product
Route::view('validate-license', 'validate-license')->name('validate-license');
Route::post('validate-license', [Controller::class, 'activate_product']);

// Contact page
Route::get('contact-page', [ContactController::class, 'contact_page'])->name('contact-page');
Route::post('contact-page-process', [ContactController::class, 'contact_form_process'])->name('contact-form-process');

// Redirect to external links
Route::get('external-redirect', [PostsController::class, 'externalLinkRedirect'])->name('external-url');

// Banned Route
Route::view('banned', 'banned')->name('banned-ip');

// Admin Routes
Route::any('admin/login', [Admin::class, 'login'])->name('adminLogin');
Route::any('admin/logout', [Admin::class, 'logout'])->name('adminlogout');

// admin panel routes
Route::group(['middleware' => App\Http\Middleware\AdminMiddleware::class], function () {
    Route::get('admin', [Admin::class, 'dashboard'])->name('admin.dashboard');

    // Vendors Related
    Route::get('admin/users', [Admin::class, 'users']);
    Route::get('admin/saas-platinum-users', [Admin::class, 'platinumUsers'])->name('admin.saasPlatinumUsers');
    Route::get('admin/loginAs/{vendorId}', [Admin::class, 'loginAsVendor']);
    Route::get('admin/add-plan/{vendorId}', [Admin::class, 'addPlanManually']);
    Route::post('admin/add-plan/{vendorId}', [Admin::class, 'addPlanManuallyProcess']);
    Route::get('admin/users/setadmin/{user}', [Admin::class, 'setAdminRole']);
    Route::get('admin/users/unsetadmin/{user}', [Admin::class, 'unsetAdminRole']);
    Route::get('admin/users/ban/{user}', [Admin::class, 'banUser']);
    Route::get('admin/users/unban/{user}', [Admin::class, 'unbanUser']);
    Route::get('admin/edit-platinum/{plan}', [Admin::class, 'editPlatinum']);
    Route::post('admin/update-platinum/{plan}', [Admin::class, 'updatePlatinum']);
    Route::get('admin/remove-platinum/{user}', [Admin::class, 'removePlatinum']);
    Route::get('admin/edit-user/{user}', [Admin::class, 'editUser']);
    Route::post('admin/update-user/{user}', [Admin::class, 'updateUser']);


    // Subscriptions related
    Route::get('admin/subscriptions', [Admin::class, 'subscriptions']);
    Route::get('admin/edit-subscription/{subscription}', [Admin::class, 'editSubscription']);
    Route::get('admin/delete-subscription/{subscription}', [Admin::class, 'deleteSubscription']);
    Route::post('admin/update-subscription/{subscription}', [Admin::class, 'updateSubscription']);

    // Tips Related
    Route::get('admin/tips', [Admin::class, 'tips']);

    // Coffees recieved by creators
    Route::get('admin/coffees', [Admin::class, 'coffees']);
    Route::get('admin/edit-coffee/{coffee}', [Admin::class, 'editCoffee']);
    Route::post('admin/update-coffee/{coffee}', [Admin::class, 'updateCoffee']);
    Route::get('admin/coffee/make/{visibility}/{coffee}', [Admin::class, 'changeCoffeeVisibility']);

    // Creator products
    Route::get('admin/products', [Admin::class, 'products']);
    Route::get('admin/edit-product/{product}', [Admin::class, 'editProduct']);
    Route::post('admin/save-product/{product}', [Admin::class, 'saveProduct']);
    Route::get('admin/delete-product/{product}', [Admin::class, 'deleteProduct']);

    // Category Related
    Route::get('admin/categories', [Admin::class, 'categories_overview']);
    Route::post('admin/add_category', [Admin::class, 'add_category']);
    Route::post('admin/update_category', [Admin::class, 'update_category']);

    // CMS
    Route::get('admin/cms', [Admin::class, 'pages'])->name('admin-cms');
    Route::post('admin/cms', [Admin::class, 'create_page']);
    Route::get('admin/cms-edit-{page}', [Admin::class, 'showUpdatePage']);
    Route::post('admin/cms-edit-{page}', [Admin::class, 'processUpdatePage']);
    Route::get('admin/cms-delete/{page}', [Admin::class, 'deletePage']);
    Route::post('admin/cms/upload-image', [Admin::class, 'uploadImageFromCMS']);

    // Payments Setup
    Route::get('admin/payments-settings', [Admin::class, 'paymentsSetup']);
    Route::post('admin/save-payments-settings', [Admin::class, 'paymentsSetupProcess']);


    // Admin config logins
    Route::get('admin/config-logins', [Admin::class, 'configLogins']);
    Route::post('admin/save-logins', [Admin::class, 'saveLogins']);

    Route::get('admin/configuration', [Admin::class, 'configuration']);
    Route::post('admin/configuration', [Admin::class, 'configurationProcess']);

    // Mail Server Configuration
    Route::get('admin/mailconfiguration', [Admin::class, 'mailConfiguration']);
    Route::post('admin/mailconfiguration', [Admin::class, 'updateMailConfiguration']);
    Route::get('admin/mailtest', [Admin::class, 'mailtest']);

    // Cloud settings
    Route::get('admin/cloud', [Admin::class, 'cloudSettings']);
    Route::post('admin/save-cloud-settings', [Admin::class, 'saveCloudSettings']);

    // Content Moderation
    Route::get('admin/moderation/{contentType}', [Admin::class, 'moderateContent'])->name('admin-moderate-content');
    Route::get('admin/edit-user-post/{post}', [Admin::class, 'editUserPost'])->name('admin-edit-user-post');
    Route::post('admin/save-user-post/{post}', [Admin::class, 'saveUserPost'])->name('admin-save-user-post');
    Route::get('admin/content-moderation/delete-report/{id}', [Admin::class, 'deleteContentReport'])->name('admin-delete-content-report');
    Route::get('admin/delete-post-media/{post}', [Admin::class, 'deletePostMedia'])->name('admin-delete-post-media');
});

// User Routes
require __DIR__ . '/auth.php';

Route::get('toprofile/{user_id}', function ($user_id) {
    $username = App\Models\Profile::where('user_id', $user_id)->pluck('username')->first();
    if (is_null($username)) {
        abort(404);
    }
    return redirect(route('profile.show', ['username' => $username]));
})->name('profile.redirect');

Route::any('{username}', [ProfileController::class, 'showProfile'])->name('profile.show');
Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth'])->name('dashboard');
