<div id="drawer-navigation"
    class="hidden fixed z-40 h-screen p-4 overflow-y-auto bg-white w-80 top-0 right-0 border-l-2 border-l-indigo-100">
    <h5 id="drawer-navigation-label" class="text-base font-semibold text-gray-500 uppercase dark:text-gray-400">
        <?php echo app('translator')->get('navigation.navi'); ?></h5>
    <button id="close-drawer-nav" type="button" data-drawer-dismiss="drawer-navigation" aria-controls="drawer-navigation"
        class="text-gray-400 bg-transparent hover:bg-gray-200 hover:text-indigo-800 rounded-lg text-sm p-1.5 absolute top-2.5 right-2.5 inline-flex items-center dark:hover:bg-gray-600 dark:hover:text-white">
        <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20"
            xmlns="http://www.w3.org/2000/svg">
            <path fill-rule="evenodd"
                d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                clip-rule="evenodd"></path>
        </svg>
    </button>
    <div class="py-4 overflow-y-auto">
        <ul class="space-y-2">
            <li>
                <form method="POST" action="<?php echo e(route('search.results')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="flex items-center space-x-2">
                        <input type="text" name="term" class="rounded border-2 py-1 px-1" placeholder="<?php echo app('translator')->get('v103.search-placeholder'); ?>"/>
                        <button type="submit" class="rounded px-2 py-1 text-white bg-indigo-700"><?php echo app('translator')->get('v103.Search'); ?></button>
                    </div>
                </form>
            </li>
            <li>
                <a href="<?php echo e(route('home')); ?>"
                    class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                    <i class="fa-solid fa-house"></i>
                    <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.home'); ?></span>
                </a>
            </li>
            <?php if(auth()->guard()->check()): ?>
                <li>
                    <a href="<?php echo e(route('feed')); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-house-signal"></i>
                        <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.feed'); ?></span>
                    </a>
                </li>
            <?php endif; ?>
            <li>
                <a href="<?php echo e(route('browseCreators')); ?>"
                    class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                    <i class="fa-solid fa-compass"></i>
                    <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.exploreCreators'); ?></span>
                </a>
            </li>
            <?php if(auth()->guard()->check()): ?>
                <li>
                    <a href="<?php echo e(route('profile.show', ['username' => auth()->user()->profile->username])); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-address-card"></i>
                        <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.myPage'); ?></span>
                    </a>
                </li>
            <?php endif; ?>
            <?php if(auth()->guard()->guest()): ?>
                <li>
                    <a href="<?php echo e(route('login')); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-right-to-bracket"></i>
                        <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.login'); ?></span>
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(route('register')); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-user-plus"></i>
                        <span class="flex-1 ml-2 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.signUp'); ?></span>
                    </a>
                </li>
            <?php endif; ?>
            <?php if(auth()->guard()->check()): ?>
                <li>
                    <a href="<?php echo e(route('messages.inbox')); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-envelope"></i>
                        <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.messages'); ?></span>
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(route('mySubscribers')); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-user-shield"></i>
                        <span class="flex-1 ml-2 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.my-subscribers'); ?></span>
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(route('mySubscriptions')); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-user-tag"></i>
                        <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.my-subscriptions'); ?></span>
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(route('accountSettings')); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-user-gear"></i>
                        <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.account'); ?></span>
                    </a>
                </li>
                <li>
                    <a id="toggleDrawerNaviShop" href="javascript:void(0);"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-shop"></i>
                        <span class="flex-1 ml-3 text-left whitespace-nowrap">
                            <?php echo app('translator')->get('navigation.myShop'); ?>
                            <i class="text-sm fa-solid fa-chevron-down"></i>
                        </span>
                    </a>
                    <ul class="text-sm pl-10 hidden" id="drawerNaviShop">
                        <li>
                            <a href="<?php echo e(route('shop.addProduct')); ?>"
                                class="text-indigo-800 hover:text-indigo-600 <?php if(isset($active) && $active == 'shop.add-product'): ?> font-bold <?php endif; ?>">
                                <?php echo e(__('Add Product')); ?>

                            </a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('shop.myProducts')); ?>"
                                class="text-indigo-800 hover:text-indigo-600 <?php if(isset($active) && $active == 'shop.my-products'): ?> font-bold <?php endif; ?>">
                                <?php echo e(__('My Products')); ?>

                            </a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('shop.ordersReceived')); ?>"
                                class="text-indigo-800 hover:text-indigo-600 <?php if(isset($active) && $active == 'shop.orders-received'): ?> font-bold <?php endif; ?>">
                                <?php echo e(__('Orders Received')); ?>

                            </a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('shop.shippingSettings')); ?>"
                                class="text-indigo-800 hover:text-indigo-600 <?php if(isset($active) && $active == 'shop.shipping-settings'): ?> font-bold <?php endif; ?>">
                                <?php echo e(__('Shipping Settings')); ?>

                            </a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('shop.userShopFront', ['user' => auth()->user()->profile->username ])); ?>"
                                    class="text-indigo-800 hover:text-indigo-600">
                                    <?php echo e(__('View Shopfront')); ?>

                            </a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="<?php echo e(route('shop.ordersPlaced')); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-basket-shopping"></i>
                        <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.ordersPlaced'); ?></span>
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(route('paymentGateways')); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-cash-register"></i>
                        <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.paymentGateways'); ?></span>
                    </a>
                </li>
                <li>
                    <a href="<?php echo e(route('logout')); ?>"
                        class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-gray-100">
                        <i class="fa-solid fa-arrow-right-from-bracket"></i>
                        <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.logout'); ?></span>
                    </a>
                </li>
            <?php endif; ?>
        </ul>
    </div>
</div>
<?php /**PATH /Users/crivion/Sites/koffee-fans-103/resources/views/components/drawer-navi.blade.php ENDPATH**/ ?>