<div class="lg:w-2/5 max-w-2xl mx-auto lg:pr-10">

    <h1 class="text-xl font-semibold text-indigo-900"><?php echo e(__('About Me')); ?></h1>
    <div class="bg-white mb-10 rounded-lg shadow-sm p-3 mt-2 text-stone-700">
        
        <?php echo clean(turnLinksIntoATags($profile->creating)); ?>



        <div class="mt-5 flex justify-between items-center">
            <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>"
                class="font-semibold text-sm text-stone-500">
                <i class="fa fa-align-left mr-1"></i> <?php echo e($profile->posts_count); ?> <?php echo app('translator')->get('v192.posts'); ?>
            </a>
            <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>"
                class="font-semibold text-sm text-stone-500">
                <i class="fa fa-shop mr-1"></i> <?php echo e($profile->products_count); ?> <?php echo e(__('Shop Products')); ?>

            </a>
        </div>
        <div class="mt-1 flex justify-between items-center">
            <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>"
                class="font-semibold text-sm text-stone-500">
                <i class="fa fa-users mr-1"></i> <?php echo e($profile->followers_count); ?> <?php echo e(__('Followers')); ?>

            </a>
            <a href="<?php echo e(route('browseCreators', ['category' => $profile->category_id, 'category_name' => Str::slug($profile->category->category)])); ?>"
                class="font-semibold text-stone-500 text-sm">
                <i class="fa fa-tags"></i> <?php echo e($profile->category->category); ?>

            </a>
        </div>
    </div>


    <h1 class="text-xl font-semibold text-indigo-900"><?php echo e(__('Buy Me a Coffee')); ?></h1>
    <div class="bg-white mb-10 rounded-lg shadow-sm p-3 mt-2 text-stone-700 flex items-center justify-center space-x-5">
        <div>
            <img src="<?php echo e(asset('images/coffee-icon.png')); ?>" alt="coffee icon" class="w-16" />
        </div>
        <div>
            <?php if($profile->user->canReceiveTips()): ?>
                <?php if(!$profile->coffee_price || !user_meta('paypal_email', true, $profile->user->id)): ?>
                <p class="text-lg text-stone-600 font-thin">
                    <?php echo e(__("User didn't configure a price or payment email")); ?>

                </p>
                <?php else: ?>
                <p class="text-2xl text-stone-600 font-semibold">
                    <?php echo e(__(':coffeePrice each', ['coffeePrice' => opt('payment-settings.currency_symbol') . $profile->coffee_price])); ?></p>
                <button id="coffee-popup-btn"
                    class="mt-2 rounded-lg px-3 py-1.5 bg-stone-500 hover:bg-stone-600 text-white font-bold"><?php echo e(__('Send Coffee')); ?></button>
                <?php endif; ?>
            <?php else: ?>
                <span class="text-stone-500">
                    <?php echo e(__('User has reached tips/coffees limit allowed in the free plan')); ?>

                    <?php if(auth()->id() == $profile->user_id): ?>
                        <br />
                        <a href="<?php echo e(route('home')); ?>#platinum"
                            class="underline hover:no-underline"><?php echo e(__('Check Platinum')); ?></a>
                    <?php endif; ?>
                </span>
            <?php endif; ?>
        </div>
    </div>

    <?php if($adCode = opt('profileSidebarAdCode')): ?>
        <?php if(!auth()->check() or
            !auth()->user()->isPlatinum() or
            !$profile->user->isPlatinum()): ?>
            <div class="my-5">
                <?php echo e($adCode); ?>

            </div>
        <?php endif; ?>
    <?php endif; ?>


    <?php if($profile->user->products()->where('stock', '!=', 0)->orWhereNull('stock')->count()): ?>
        <div class="flex items-center justify-between mb-3">
            <h1 class="text-xl font-semibold text-indigo-900"><?php echo app('translator')->get('shop.shop'); ?></h1>

            <a href="<?php echo e(route('shop.userShopFront', ['user' => $profile->username])); ?>"
                class="hover:underline font-bold text-stone-500">
                <i class="fa-solid fa-share"></i>
                <?php echo app('translator')->get('shop.allProducts'); ?>
            </a>
        </div>
        <div class="grid grid-cols-2 gap-3">
            <?php $__currentLoopData = $profile->user->products()->where('stock', '>', 0)->orWhereNull('stock')->orderByDesc('id')->take(4)->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="flex-shrink-0 bg-white rounded-b-lg">
                    <a href="<?php echo e($product->slug); ?>">
                        <img src="<?php echo e(asset($product->mainImage())); ?>" alt="" class="rounded-t-lg" />
                    </a>
                    <div class="px-2 py-3">
                        <a href="<?php echo e($product->slug); ?>"
                            class="text-stone-600 hover:text-stone-500 font-bold text-sm inline-block">
                            <?php echo e(substr($product->product_name, 0, 35)); ?>

                            <?php echo e(strlen($product->product_name > 35) ? '..' : ''); ?>

                        </a>
                        <br />
                        <span
                            class="bg-indigo-100 font-semibold px-2 py-0.5 text-indigo-500 rounded-lg mt-1 inline-flex">
                            <?php echo e(opt('payment-settings.currency_symbol') . $product->price); ?>

                        </span>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    <?php endif; ?>

</div>
<?php /**PATH /Users/crivion/Sites/koffee/resources/views/profile/profile-sidebar.blade.php ENDPATH**/ ?>