<?php $__env->startSection('seo_title'); ?>
    <?php echo e(__('Stripe')); ?> -
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container mt-10">
        <div class="bg-white rounded-lg p-3 max-w-md mx-auto shadow-sm mt-10">

            <div class="mt-5 text-center text-xl text-stone-600 font-semibold">
                <h5>
                    <?php echo app('translator')->get('general.subscribeInfoPlatinum', [
                        'amount' => opt('payment-settings.currency_symbol') . $amount,
                        'period' => $plan,
                    ]); ?>
                </h5>
            </div>

            <form id="payment-form">
                <div id="payment-element">
                    <!-- Elements will create form elements here -->
                </div>
                <button id="submit"><?php echo e(__('Subscribe')); ?></button>
                <div id="error-message">
                    <!-- Display error message to your customers here -->
                </div>
            </form>

        </div>
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('extraJS'); ?>
    <script src="https://js.stripe.com/v3/"></script>
    <script>
        const stripe = Stripe('<?php echo e(opt('STRIPE_PUBLIC_KEY')); ?>');
        const options = {
            clientSecret: '<?php echo e($clientSecret); ?>',
        };

        // Set up Stripe.js and Elements to use in checkout form, passing the client secret obtained in step 5
        const elements = stripe.elements(options);

        // Create and mount the Payment Element
        const paymentElement = elements.create('payment');
        paymentElement.mount('#payment-element');

        const form = document.getElementById('payment-form');

        form.addEventListener('submit', async (event) => {
            event.preventDefault();

            const {
                error
            } = await stripe.confirmPayment({
                //`Elements` instance that was used to create the Payment Element
                elements,
                confirmParams: {
                    return_url: "<?php echo e(route('saas.stripeSubscriptionResult')); ?>",
                }
            });

            if (error) {
                const messageContainer = document.querySelector('#error-message');
                messageContainer.textContent = error.message;
            } 
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('welcome', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/crivion/Sites/koffee-fans/resources/views/saas/stripe.blade.php ENDPATH**/ ?>