<?php $__env->startSection('seo_title', __(":handle's Shop - ", ['handle' => $profile->handle])); ?>

<?php $__env->startSection('content'); ?>
    <div class="lg:max-w-5xl mx-auto">
        <div class="flex items-center pb-3">
            <div class="mt-3 border-2 border-white bg-white  shadow rounded-full w-20 lg:w-32 lg:h-32 relative">
                <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>">
                    <img src="<?php echo e(secure_image($profile->profilePic, 95, 95)); ?>" class="w-full rounded-full" />
                </a>
            </div>

            <div class="flex-grow flex justify-between items-center">
                <div class="flex flex-col ml-4">
                    <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>"
                        class="font-bold lg:text-2xl text-xl text-indigo-800 mt-2 hover:text-indigo-600 heading-gradient">
                        <?php echo e($profile->name); ?><?php echo e(__("'s Shop")); ?>

                    </a>
                    <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>"
                        class="font-thin text-indigo-800 hover:text-indigo-600">
                        <?php echo e($profile->handle); ?>

                    </a>
                </div>
            </div>
        </div>

        <div class="flex justify-between items-center">
            <h2 class="text-indigo-800 text-xl font-semibold"><?php echo e(_('Shop')); ?></h2>
            <form method="GET" name="sortFrm" id="sortFrm">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.select','data' => ['name' => 'sort','id' => 'sort']] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('select'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'sort','id' => 'sort']); ?>
                    <option value="recent" <?php if(request()->has('sort') && request('sort') == 'recent'): ?> selected <?php endif; ?>><?php echo e(__('Most Recent')); ?>

                    </option>
                    <option value="oldest" <?php if(request()->has('sort') && request('sort') == 'oldest'): ?> selected <?php endif; ?>><?php echo e(__('Oldest First ')); ?>

                    </option>
                    <option value="popular" <?php if(request()->has('sort') && request('sort') == 'popular'): ?> selected <?php endif; ?>><?php echo e(__('Most Popular')); ?>

                    </option>
                    <option value="best-sellers" <?php if(request()->has('sort') && request('sort') == 'best-sellers'): ?> selected <?php endif; ?>><?php echo e(__('Best Sellers')); ?>

                    </option>
                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
            </form>
        </div>

        <div class="mt-3 grid grid-cols-2 md:grid-cols-3 lg:grid-cols-4 gap-x-5 gap-y-5">
            <?php $__empty_1 = true; $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <div class="bg-white rounded-b-lg shadow-sm">
                    <a href="<?php echo e($product->slug); ?>">
                        <img src="<?php echo e(Storage::disk(env('DEFAULT_STORAGE', 'public'))->url($product->mainImage())); ?>" alt="" class="rounded-t-lg" />
                    </a>
                    <div class="px-2 py-3">
                        <a href="<?php echo e($product->slug); ?>"
                            class="text-stone-600 hover:text-stone-500 font-bold text-sm inline-block">
                            <?php echo e(substr($product->product_name, 0, 25)); ?>

                            <?php echo e(strlen($product->product_name > 25) ? '..' : ''); ?>

                        </a>
                        <br />
                        <span class="bg-indigo-100 font-semibold px-2 py-0.5 text-indigo-500 rounded-lg mt-1 inline-flex">
                            <?php echo e(opt('payment-settings.currency_symbol') . $product->price); ?>

                        </span>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <?php echo e(__('No products to show')); ?>

            <?php endif; ?>
        </div>
        <?php echo e($products->links()); ?>

    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('extraCSS'); ?>
    <style>
        .coverPic {
            background-image: url('<?php echo e(asset($profile->coverPicture)); ?>');
        }
    </style>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('extraJS'); ?>
    <script>
        window.addEventListener('DOMContentLoaded', (event) => {
            $("#sort").on('change', function(e) {
                $("#sortFrm").submit();
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('welcome', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/crivion/Sites/koffee-fans-103/resources/views/shop/user-shopfront.blade.php ENDPATH**/ ?>