<?php $__env->startSection('seo_title'); ?>
    <?php echo e($profile->handle); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('profile/membership-popup', ['profile' => $profile], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('profile/koffee-popup', ['profile' => $profile], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="lg:max-w-5xl mx-auto">
        <div class="coverPic mt-0 relative rounded-br-lg rounded-bl-lg">
            <?php if($profile->user->isPlatinum()): ?>
                <div
                    class="absolute top-10 left-0 bg-indigo-800 text-white font-bold text-sm uppercase rounded-tr rounded-br px-2 py-1">
                    <?php echo e(__('PLATINUM')); ?>

                </div>
            <?php endif; ?>
        </div>
        <div class="bg-white rounded-br-lg rounded-bl-lg mt-[-5px] lg:flex items-center pb-3">
            <div
                class="border-4 border-white bg-white  shadow rounded-full mt-[-30px] w-32 h-32 z-10 relative mx-auto lg:ml-5">
                <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>">
                    <img src="<?php echo e(secure_image($profile->profilePic, 95, 95)); ?>" class="w-full rounded-full" />
                </a>
            </div>

            <div class="flex-grow lg:flex lg:justify-between lg:items-center">
                <div class="flex flex-col text-center lg:text-left lg:ml-4">
                    <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>"
                        class="font-bold lg:text-2xl text-xl text-indigo-800 mt-2 hover:text-indigo-600 heading-gradient">
                        <?php echo e($profile->name); ?>

                    </a>
                    <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>"
                        class="font-thin text-indigo-800 hover:text-indigo-600">
                        <?php echo e($profile->handle); ?>

                    </a>
                </div>
                <div class="mt-5 lg:mt-0 pb-3 lg:pb-0 lg:pr-5 flex flex-col lg:flex-row items-center">
                    <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('followbutton', ['profileId' => $profile->id])->html();
} elseif ($_instance->childHasBeenRendered('1YCBVsu')) {
    $componentId = $_instance->getRenderedChildComponentId('1YCBVsu');
    $componentTag = $_instance->getRenderedChildComponentTagName('1YCBVsu');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('1YCBVsu');
} else {
    $response = \Livewire\Livewire::mount('followbutton', ['profileId' => $profile->id]);
    $html = $response->html();
    $_instance->logRenderedChild('1YCBVsu', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
                    <button
                        class="mt-2 lg:mt-0 border-2 rounded-full border-indigo-800 bg-indigo-800 hover:bg-indigo-600 hover:border-indigo-600 px-3 py-1 text-white membership-popup-btn"><?php echo e(__('Unlock All Posts')); ?></button>
                </div>
            </div>
        </div>

        <div class="lg:flex mt-5">

            <?php echo $__env->make('profile/profile-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <div class="lg:w-3/5 max-w-2xl mx-auto">
                <?php if(auth()->check() and auth()->user()->profile->id == $profile->id): ?>
                    <div>
                        <h1 class="text-xl font-semibold text-indigo-900 mb-1"><?php echo e(__('Create Post')); ?></h1>
                        <?php echo $__env->make('posts.create-post', ['user' => auth()->user()], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                <?php endif; ?>
                <h1
                    class="text-xl font-semibold text-indigo-900 mt-10 md:mt-0 <?php if(auth()->check() and auth()->user()->profile->id == $profile->id): ?> mt-7 <?php endif; ?>">
                    Feed</h1>
                <div class="postsList mt-3">
                    <?php echo $__env->make('posts.feed', ['profile' => $profile], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>

                <?php if($feed->count()): ?>
                    <input type="number" class="lastId hidden" value="<?php echo e($feed->last()->id); ?>">
                <?php endif; ?>

                <div class="text-center loadingPostsMsg hidden">
                    <h3 class="text-secondary"><i class="fas fa-spinner fa-spin mr-2"></i> <?php echo app('translator')->get('post.isLoading'); ?></h3>
                </div>

                <div class="text-center noMorePostsMsg hidden mb-5">
                    <div class="card p-3">
                        <h3 class="text-secondary"><?php echo app('translator')->get('post.noMorePosts'); ?></h3>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!--max-w-5xl-->
<?php $__env->stopSection(); ?>


<?php $__env->startPush('extraCSS'); ?>
    <style>
        .coverPic {
            background-image: url('<?php echo e(Storage::disk("public")->url($profile->coverPicture)); ?>');
        }
    </style>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('extraJS'); ?>
<script>
    window.addEventListener('DOMContentLoaded', (event) => {
        $(document.body).on('touchmove', onScroll); // for mobile
        $(window).on('scroll', onScroll);
        let isLoadingNewPosts = false;
        function onScroll() {
          if($(window).scrollTop() + $(window).height() >= $(document).height()-100) {
            if(!isLoadingNewPosts) {
            // show spinner
            $( '.loadingPostsMsg' ).removeClass( 'hidden' );
           
            // get last id
            var lastId = $( '.lastId' ).val();
            // log some infos
            // console.log('should get new stuff');
            // console.log(`LastID value is ${lastId}`);
            $.ajax({
              dataType: 'json',
              url:'<?php echo e(route( 'loadMorePosts', [ 'lastId' => '/' ])); ?>/' + lastId + '?u=' + <?php echo e($profile->user->id); ?>,
              beforeSend: function() {
                console.log('beforeSend');
                isLoadingNewPosts = true;
              },
             
            }).done(function(resp) {
                isLoadingNewPosts = false;
                if( resp.lastId != 0 ) {
                  // append html
                  $( '.postsList' ).append( resp.view );
                  $('.lastId').val(resp.lastId);
                }else{
                  // cancel scroll event
                  $(window).off('scroll');
                  $( '.noMorePostsMsg' ).removeClass( 'hidden' );
                  $('.lastId').val(0);
                }
            }).always(function() {
                $( '.loadingPostsMsg' ).addClass( 'hidden' );
                isLoadingNewPosts = false;
            }).fail(function(err) {
                console.log(err);
                isLoadingNewPosts = true;
            });
          }// if !isLoadingNewPosts
          }// if scroll enough to trigger loading more content
        }// onScroll function
      });// event listener
  </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('welcome', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/crivion/Sites/koffee/resources/views/profile/user-profile.blade.php ENDPATH**/ ?>