<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="_token" content="<?php echo e(csrf_token()); ?>" />

    <title><?php echo $__env->yieldContent('seo_title', ''); ?><?php echo e(opt('seo_title')); ?></title>

    <?php if(request()->route() && request()->route()->getName() == 'home'): ?>
    <meta name="description" content="<?php echo e(opt('seo_desc')); ?>" />
    <meta name="keywords" content="<?php echo e(opt('seo_keys')); ?>" />
    <?php endif; ?>

    <!-- favicon -->
    <link rel="shortcut icon" type="image/png" href="<?php echo e(asset(opt('favicon', 'favicon.png'))); ?>" sizes="128x128" />

    <!-- fonts -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('fonts/nunito/fonts.css')); ?>" />

    <!-- livewire styles -->
    <?php echo \Livewire\Livewire::styles(); ?>


    <!-- fontawesome -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('fonts/fontawesome/css/fontawesome.min.css')); ?>" />
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('fonts/fontawesome/css/solid.min.css')); ?>" />

    <!-- Cookie Consent -->
    <link href="<?php echo e(asset('css/cookieconsent.min.css')); ?>" rel="stylesheet" />

    <!-- Vite CSS -->
    <link rel="stylesheet" href="<?php echo e(asset('css/style.min.css')); ?>" />

    <!-- custom CSS from view files (if any) -->
    <?php echo $__env->yieldPushContent('extraCSS'); ?>

    <!-- translations for JS -->
    <?php echo $__env->make('js-translations', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</head>

<body class="flex flex-col min-h-screen">

    <div id="membership-overlay" class="hidden fixed z-40 w-screen h-screen inset-0 bg-gray-900 bg-opacity-90"></div>

    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.topnavi','data' => []] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('topnavi'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>

    <div class="max-w-7xl mx-auto pt-10 flex-grow min-h-full px-3 w-full">
        <div class="mt-10">
            <?php echo $__env->yieldContent('content', '--'); ?>
        </div>
    </div><!-- ./max-w-7xl -->

    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.footer','data' => []] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('footer'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>

    <!-- livewire scripts -->
    <?php echo \Livewire\Livewire::scripts(); ?>


    <!-- APP JS -->
    <script src="<?php echo e(asset('js/app.min.js')); ?>"></script>

    <!-- SweetAlert2 -->
    <?php echo $__env->make('sweetalert::alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <script src="<?php echo e(asset( 'js/cookieconsent.min.js' )); ?>"></script>

    
    <script>
        window.cookieconsent.initialise({
          "palette": {
            "popup": {
              "background": "#edeff5",
              "text": "#838391"
            },
            "button": {
              "background": "#4b81e8"
            }
          },
          "content": {
            "message": "<?php echo app('translator')->get('general.cookieMessage'); ?>",
            "dismiss": "<?php echo app('translator')->get('general.cookieDismiss'); ?>",
            "link": "<?php echo app('translator')->get('general.privacyPolicyText'); ?>",
            "href": "<?php echo app('translator')->get('v14.privacyPolicyLink'); ?>",
          }
        });

        
    </script>

    <!-- custom JS from view files (if any) -->
    <?php echo $__env->yieldPushContent('extraJS'); ?>

</body>

</html>
<?php /**PATH /Users/crivion/Sites/koffee-fans-103/resources/views/welcome.blade.php ENDPATH**/ ?>