<?php $__env->startSection('seo_title'); ?>
    PayPal -
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container mt-10">
        <div class="bg-white rounded-lg p-3 max-w-md mx-auto shadow-sm mt-10">

            <div class="mt-5 text-center text-xl text-stone-600 font-semibold">
                <h5>
                    <?php echo app('translator')->get('general.subscribeInfo', [
                        'user' =>
                            '<a href="' .
                            route('profile.show', [
                                'username' => $user->profile->username,
                            ]) .
                            '">' .
                            $user->profile->handle .
                            '</a>',
                        'amount' => opt('payment-settings.currency_symbol') . $price,
                        'period' => $plan,
                    ]); ?>
                </h5>
            </div>

            <form action="https://www.paypal.com/cgi-bin/webscr" method="post" name="paypalform" id="paypalform">
                <input type="hidden" name="business" value="<?php echo e(user_meta('paypal_email', true, $user->id)); ?>" />
                <input type="hidden" name="return"
                    value="<?php echo e(route('profile.show', ['username' => $user->profile->username])); ?>" />
                <input type="hidden" name="cancel_return"
                    value="<?php echo e(route('profile.show', ['username' => $user->profile->username])); ?>" />
                <input type="hidden" name="notify_url"
                    value="<?php echo e(route('paypalProcessing', ['creator' => $user->id, 'subscriber' => auth()->id(), 'plan' => $plan])); ?>" />
                <input type="hidden" name="item_name" value="Subscription to <?php echo e($user->profile->username); ?>" />
                <input type="hidden" name="item_number" value="<?php echo e($plan); ?> Subscription" />
                <input type="hidden" name="currency_code" value="<?php echo e(opt('payment-settings.currency_code')); ?>" />
                <input type="hidden" name="a3" value="<?php echo e($price); ?>" />
                <input type="hidden" name="p3" value="1" />
                <input type="hidden" name="t3" value="<?php echo e($plan == 'Yearly' ? 'Y' : 'M'); ?>" />
                <input type="hidden" name="src" value="1" />
                <input type="hidden" name="cmd" value="_xclick-subscriptions" />
                <input type="hidden" name="rm" value="2" />
                <input type="hidden" name="no_shipping" value="1">
            </form>

            <div class="text-center mb-3">
                <img src="<?php echo e(asset('images/paypal-btn.png')); ?>" alt='paypal' class="mt-3 w-8/12 mx-auto" id="imgPP" />
            </div>

        </div>
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('extraJS'); ?>
    <script>
        window.onload = function() {
            document.forms['paypalform'].submit();
        }
        $("#imgPP").click(function() {
            document.forms['paypalform'].submit();
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('welcome', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/crivion/Sites/koffee/resources/views/subscribe/paypal.blade.php ENDPATH**/ ?>