<?php $__env->startSection('seo_title'); ?>
    <?php echo app('translator')->get('dashboard.shop'); ?> -
<?php $__env->stopSection(); ?>

<?php $__env->startSection('account_section'); ?>
    <h2 class="text-2xl text-indigo-800 font-semibold flex items-center">
        <i class="fa-solid fa-shop mr-2"></i>
        <?php echo app('translator')->get('shop.manageOrder'); ?>
    </h2>

    <?php if(auth()->id() == $order->seller_id): ?>
        <a href="<?php echo e(route('shop.ordersReceived')); ?>" class="text-sm">&raquo; <?php echo e(__('Back to Orders')); ?></a>
    <?php else: ?>
        <a href="<?php echo e(route('shop.ordersPlaced')); ?>">&raquo; <?php echo e(__('Back to Orders')); ?></a>
    <?php endif; ?>

    <div class="mt-5 px-5 py-8 rounded-md shadow-sm bg-white">
        <h2 class="text-stone-600 font-semibold text-lg"><?php echo e(__('Shipping Info')); ?></h2>
        <div class="grid grid-cols-2 text-stone-600">
            <div class="mt-3">
               <span class="font-bold"><?php echo e(__('Full Name')); ?> </span>
               <br/>
               <?php echo e($order->shipping_details['fullname']); ?>

            </div>

            <div class="mt-3">
                <?php if(auth()->id() == $order->seller_id): ?>
                    <span class="font-bold"><?php echo e(__('Username')); ?></span>
                    <br/>
                    <a href="<?php echo e(route('profile.show', ['username' => $order->buyer->profile->username])); ?>" class="text-indigo-600">
                        <?php echo e($order->buyer->profile->handle); ?>

                    </a>
               <?php else: ?>
                    <span class="font-bold"><?php echo e(__('Seller')); ?></span>
                    <br/>
                    <a href="<?php echo e(route('profile.show', ['username' => $order->seller->profile->username])); ?>" class="text-indigo-600">
                        <?php echo e($order->seller->profile->handle); ?>

                    </a>
               <?php endif; ?>
            </div>

            <div class="mt-5">
                <span class="font-bold"><?php echo e(__('City')); ?></span>
                <br/>
                <?php echo e($order->shipping_details['city']); ?>

             </div>
 
             <div class="mt-5">
                <span class="font-bold"><?php echo e(__('State')); ?></span>
                <br/>
                <?php echo e($order->shipping_details['state']); ?>

             </div>

             <div class="mt-5">
                <span class="font-bold"><?php echo e(__('general.shippingCountry')); ?></span>
                <br/>
                <?php echo e($order->shipping_details['country']); ?>

             </div>
 
             <div class="mt-5">
                <span class="font-bold"><?php echo e(__('Postcode')); ?></span>
                <br/>
                <?php echo e($order->shipping_details['postcode']); ?>

             </div>

             <div class="mt-5">
                <span class="font-bold"><?php echo e(__('Phone No')); ?></span>
                <br/>
                <?php echo e($order->shipping_details['phone']); ?>

             </div>
        </div>

        <div class="mt-5">
            <span class="font-bold"><?php echo e(__('Address')); ?></span>
            <br/>
            <?php echo e($order->shipping_details['address']); ?>

        </div>
    </div>

    <div class="mt-5 px-5 py-8 rounded-md shadow-sm bg-white">
        <h2 class="text-stone-600 font-semibold text-lg"><?php echo e(__('Order Details')); ?>

        
        <div class="flex mt-3 space-x-3">
            <div>
                <a href="<?php echo e($order->product->slug); ?>" class="text-indigo-800 hover:text-indigo-700">
                    <img class="w-16 h-auto rounded-lg"
                        src="<?php echo e(Storage::disk(env('DEFAULT_STORAGE', 'public'))->url($order->product->images()->where('is_default', 'yes')->first()['image'])); ?>"
                        alt="" />
                </a>
            </div>
            <div class="flex-grow">
                <a href="<?php echo e($order->product->slug); ?>"
                    class="text-indigo-800 hover:text-indigo-600">
                    <?php echo e($order->product->product_name); ?>

                </a> 
            </div>
        </div>

        <div class="grid grid-cols-2 mt-3 text-stone-600">
            <div class="mt-3">
               <span class="font-bold"><?php echo e(__('Product Price')); ?> </span>
               <br/>
                <?php echo e(opt('payment-settings.currency_symbol') . $order->product_price); ?>

            </div>

            <div class="mt-3">
                <span class="font-bold"><?php echo e(__('Shipping Price')); ?></span>
               <br/>
                <?php echo e(opt('payment-settings.currency_symbol') . $order->shipping_price); ?>

            </div> 
        </div>

        <div class="mt-3">
            <span class="font-bold"><?php echo e(__('Order Total')); ?></span>
            <br/>
            <?php echo e(opt('payment-settings.currency_symbol') . $order->order_total); ?>

        </div>

        <?php if(auth()->id() == $order->seller_id): ?>
            <hr class="my-3"/>
            <form method="POST" action="<?php echo e(route('shop.updateOrderStatus', ['order' => $order])); ?>">
                <?php echo csrf_field(); ?>
                <span class="flex font-bold"><?php echo e(__('Order Status')); ?></span>
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.input','data' => ['name' => 'order_status','value' => ''.e($order->order_status).'']] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'order_status','value' => ''.e($order->order_status).'']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                
                <span class="flex font-bold mt-2">
                    <?php echo e(__('Order Comments')); ?>

                </span>
                <span class="flex text-sm"><em><?php echo e(__('Visible to customer in order details page')); ?></em></span>
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.textarea','data' => ['name' => 'order_comments','cols' => '5','class' => 'w-full']] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('textarea'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'order_comments','cols' => '5','class' => 'w-full']); ?><?php echo e($order->order_comments); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.button','data' => ['class' => 'mt-3']] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('button'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'mt-3']); ?><?php echo e(__('Update Status')); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
            </form>
        <?php else: ?>
        <hr class="my-5">
            <div class="mt-3">
                <span class="font-bold"><?php echo e(__('Order Status')); ?></span>
                <br/>
                <?php echo e($order->order_status); ?>

            </div>
            <?php if(!empty($order->order_comments)): ?>
            <div class="mt-3">
                <span class="font-bold"><?php echo e(__('Order Comments')); ?></span>
                <br/>
                
                <?php echo clean(nl2br($order->order_comments)); ?>

            </div>
            <?php endif; ?>
        <?php endif; ?>

    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('account', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/works.crivion.com/resources/views/shop/manage-order.blade.php ENDPATH**/ ?>