<?php $__env->startSection('seo_title'); ?>
    <?php echo app('translator')->get('dashboard.inbox'); ?> -
<?php $__env->stopSection(); ?>

<?php $__env->startSection('account_section'); ?>
    <h2 class="text-2xl text-indigo-800 font-semibold flex items-center">
        <i class="fa-solid fa-envelope mr-2"></i>
        <?php echo app('translator')->get('messages.messages'); ?>
    </h2>
    <div class="flex items-center justify-between">
        <div>
            <a href="<?php echo e(route('messages.inbox')); ?>"
                class="text-stone-600 hover:text-stone-500 underline"><?php echo e(__('messages.inbox')); ?></a> /
            <a href="<?php echo e(route('messages.outbox')); ?>" class="text-stone-600 hover:text-stone-500"><?php echo e(__('messages.outbox')); ?></a>
        </div>
        <div>
            <a href="<?php echo e(route('messages.compose')); ?>" class="text-stone-600 underline hover:no-underline"><?php echo app('translator')->get('messages.compose'); ?></a>
        </div>
    </div>

    <?php if($messages->count()): ?>
    <table class="mt-5 bg-white shadow-sm rounded-lg px-3 py-5 border-collapse table-auto w-full">
        <thead class="bg-indigo-200 rounded-lg">
            <tr>
                <th class="w-20 border-b font-medium py-4 px-2 text-indigo-700 text-left rounded-tl-lg">
                    <?php echo e(__('From')); ?>

                </th>
                <th class="border-b font-medium py-4 px-2 text-indigo-700 text-left">
                    <?php echo e(__('Message')); ?>

                </th>
                <th class="border-b font-medium py-4 px-2 text-indigo-700 text-left">
                    <?php echo e(__('Date')); ?>

                </th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $messages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $m): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr class="<?php if($m->is_read == 'No'): ?> bg-indigo-50 <?php endif; ?>">
                    <td class="py-4 px-2">
                        <div class="flex items-center flex-col">
                            <div class="border-2 border-white bg-white  shadow rounded-full w-14 h-14">
                                <img src="<?php echo e(secure_image($m->sender->profile->profilePic, 95, 95)); ?>"
                                    class="w-full rounded-full" />
                            </div>
                            <a href="<?php echo e(route('profile.show', ['username' => $m->sender->profile->username])); ?>"
                                target="_blank"
                                class="mt-2 text-blue-500 hover:underline hover:text-blue:600 text-xs font-semibold">
                                <?php echo e($m->sender->profile->handle); ?>

                            </a>
                        </div>
                    </td>
                    <td class="py-4 px-2">
                        <?php if($m->is_read == 'No'): ?>
                            <span
                                class="rounded-lg px-2 py-1 bg-indigo-200 font-semibold text-xs text-indigo-700"><?php echo app('translator')->get('messages.unread'); ?></span><br />
                        <?php endif; ?>
                        <span class="text-sm text-stone-500 <?php if($m->is_read == 'No'): ?> font-semibold <?php endif; ?>">
                            <?php echo e(substr($m->message, 0, 120) . (strlen($m->message) > 120 ? '...' : '')); ?>

                        </span>
                        <a href="<?php echo e(route('messages.read', ['message' => $m])); ?>"
                            class="flex text-sm text-blue-500 hover:underline hover:text-blue-600">
                            <?php echo e(__('Read message')); ?>

                        </a>
                    </td>
                    <td class="text-stone-500 px-2 py-4 text-sm font-semibold">
                        <?php echo e($m->created_at->diffForHumans()); ?>

                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
    <?php else: ?>
    <div class="p-3 rounded-lg text-stone-600 bg-white mt-3">
        <?php echo app('translator')->get('general.noMessages'); ?>
    </div>
    <?php endif; ?>

    <?php if($messages->hasPages()): ?>
        <div class="bg-white rounded-lg shadow-sm px-5 py-8 mt-5">
            <?php echo e($messages->links()); ?>

        </div>
    <?php endif; ?>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('account', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/works.crivion.com/resources/views/messages/inbox.blade.php ENDPATH**/ ?>