<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="_token" content="<?php echo e(csrf_token()); ?>" />

    <title><?php echo e(__('419 - Page Expire')); ?></title>

    <!-- fontawesome -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('fonts/fontawesome/css/fontawesome.min.css')); ?>" />
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('fonts/fontawesome/css/solid.min.css')); ?>" />

    <!-- Vite CSS -->
    <link rel="stylesheet" href="<?php echo e(asset('css/style.min.css')); ?>" />

</head>

<body class="flex flex-col min-h-screen">

    <div class="max-w-4xl mx-auto my-20 px-5">
        <div class="mt-5 py-5 px-4 text-center bg-white rounded-lg">
            <h3 class="text-3xl text-indigo-800 heading-gradient font-black mb-5"><?php echo e(__('419 - Page Expired')); ?></h3>
    
            <center>
                <a href="<?php echo e(route('home')); ?>">
                    <img src="<?php echo e(asset('images/server-error.png')); ?>" alt="500 image" class="rounded-lg" />
                </a>
            </center>
    
            <div class="text-2xl text-center text-stone-600 mt-10 font-bold">
                <?php echo e(__('The page expired due to session expiration.')); ?>

                <br /><br />
                <a href="<?php echo e(route('home')); ?>" class="font-black text-3xl heading-gradient">
                    <i class="fa-solid fa-arrow-left"></i>
                    <?php echo e(__('HOME')); ?>

                </a>
            </div>
            </div>
        </div>
    </div> 

</body>

</html>
<?php /**PATH /var/www/testinstalls.crivion.com/resources/views/errors/419.blade.php ENDPATH**/ ?>