<?php $__env->startSection('seo_title'); ?>
    <?php echo e(__('Get Platinum - Select Payment Method')); ?> -
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="mt-10 relative">
        <div class="bg-white rounded-lg p-3 max-w-md mx-auto shadow-sm mt-10">

            <img src="<?php echo e(asset('images/platinum.png')); ?>" alt="platinum" class="mx-auto" />

            <div class="text-3xl text-indigo-800 heading-gradient font-black text-center"><?php echo e(__('Platinum Subscription')); ?>

            </div>

            <div class="mt-1 text-center text-xl text-stone-600 font-semibold">
                <?php echo e(__('You have selected the :planType plan', ['planType' => $plan])); ?>

            </div>

            <div class="text-center pb-5 mt-2">
            <span class="inline-flex px-3 py-1 font-normal text-base rounded-lg border border-indigo-100 bg-indigo-200 text-indigo-600">
                <?php echo e(opt('payment-settings.currency_symbol') . $price . ' / ' . $plan); ?>

            </span>
            </div>
        
            <hr class="mb-3"/>

            <?php if(opt('stripeEnable', 'No') == 'Yes'): ?>
                <div class="flex justify-center flex-col items-center">
                    <span class="text-stone-500 font-semibold">
                    <?php echo e(__('Subscribe with Card')); ?>

                    </span>
                    <a href="<?php echo e(route('saas.sendToGateway', ['gateway' => 'Stripe', 'plan' => $plan])); ?>" class="w-44 text-center px-5 py-3 bg-indigo-800 border border-transparent rounded font-black text-xs text-white uppercase tracking-widest hover:bg-indigo-700 active:bg-indigo-900 focus:outline-none focus:border-gray-900 focus:ring ring-gray-300 disabled:opacity-25 transition ease-in-out duration-150">
                        <?php echo e(__('Credit Card')); ?>

                    </a>
                </div>
            <?php endif; ?>
            
            <?php if(opt('paypalEnable', 'No') == 'Yes'): ?>
                <div class="mt-3 flex justify-center flex-col items-center">
                    <span class="text-stone-500 font-semibold">
                        <?php echo e(__('Subscribe via PayPal')); ?>

                        </span>
                    <a href="<?php echo e(route('saas.sendToGateway', ['gateway' => 'PayPal', 'plan' => $plan])); ?>" class="w-44 text-center px-5 py-3 bg-yellow-500 border border-transparent rounded font-black text-xs text-white uppercase tracking-widest hover:bg-yellow-600 active:bg-indigo-900 focus:outline-none focus:border-gray-900 focus:ring ring-gray-300 disabled:opacity-25 transition ease-in-out duration-150">
                        <?php echo e(__('PayPal')); ?>

                    </a>
                </div>
            <?php endif; ?>

            <div class="flex flex-wrap items-center mt-5 border-t pt-5 justify-center">
                <img src="<?php echo e(asset('images/stripe-cards.png')); ?>" alt="stripe card" class="w-40" />
                <img src="<?php echo e(asset('images/paypal-btn.png')); ?>" alt="paypal payments" class="w-44" />
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('welcome', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/crivion/Sites/koffee/resources/views/saas/select-gateway.blade.php ENDPATH**/ ?>