<div id="membership-popup" class="hidden w-80 fixed inset-x-0 z-50 top-1/2 left-1/2 -translate-y-1/2 -translate-x-1/2">
    <div class="bg-white border-indigo-200 border-2 rounded-md text-lg flex items-center w-full">
        <div class="relative w-full rounded mb-10 flex-shrink">
            <div class="relative">
                <img src="<?php echo e(secure_image($profile->coverPicture, 325, 105)); ?>"
                    class="h-24 rounded-tr rounded-tl w-full" />
                <?php if($profile->user->isPlatinum()): ?>
                    <div
                        class="absolute top-5 left-0 bg-indigo-800 text-white font-bold text-sm uppercase rounded-tr rounded-br px-2 py-1">
                        <?php echo e(__('PLATINUM')); ?>

                    </div>
                <?php endif; ?>
            </div>
            <div class="bg-white rounded-br rounded-bl px-5 py-3 text-center">
                <div
                    class="mx-auto border-2 border-white bg-white  shadow rounded-full mt-[-50px] w-20 h-20 z-10 relative">
                    <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>">
                        <img src="<?php echo e(secure_image($profile->profilePic, 95, 95)); ?>" class="w-full rounded-full" />
                    </a>
                </div>
                <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>"
                    class="font-black text-lg text-indigo-800 mt-2 hover:text-indigo-600 inline-block">
                    <?php echo e($profile->name); ?>

                </a>
                <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>"
                    class="font-thin text-lg text-indigo-800 hover:text-indigo-600 inline-block">
                    <?php echo e($profile->handle); ?>

                </a>
            </div>
            <div class="text-center text-xl text-stone-500 font-semibold">
                <?php echo e(__('Choose your plan')); ?>

            </div>
            <div class="text-center border-t pt-5 mt-2">
                <?php if($profile->user->canTakePaidMembership()): ?>
                    <?php if(!$profile->monthlyFee || !user_meta('paypal_email', true, $profile->user->id)): ?>
                        <p class="text-lg text-stone-600 font-thin">
                            <?php echo e(__("User didn't configure a price or payment email")); ?>

                        </p>
                    <?php else: ?>
                        <div>
                            <h3 class="text-lg font-semibold text-indigo-700">
                                <?php echo e(opt('payment-settings.currency_symbol') . $profile->monthlyFee); ?> / <?php echo e(__('Monthly')); ?>

                            </h3>
                        </div>
                        <div>
                            <span class="text-stone-500">
                                <?php echo e(__('Unlocks all posts for a month')); ?>

                            </span>
                        </div>
                        <a href="<?php echo e(route('subscribeViaPaypal', ['user' => $profile->user])); ?>"
                            class="mt-2 mb-3 text-sm inline-flex rounded-lg px-3 py-1 text-white bg-indigo-700 hover:bg-indigo-500 font-semibold">
                            <?php echo e(__('Subscribe Monthly')); ?>

                        </a>
                    <?php endif; ?>
                <?php else: ?>
                    <span class="text-stone-500">
                        <?php echo e(__('User has reached limit of paid memberships allowed in the free plan')); ?>

                        <?php if(auth()->id() == $profile->user_id): ?>
                            <br />
                            <a href="<?php echo e(route('home')); ?>#platinum"
                                class="underline hover:no-underline"><?php echo e(__('Check Platinum')); ?></a>
                        <?php endif; ?>
                    </span>
                <?php endif; ?>
            </div>
            <?php if($profile->user->canTakePaidMembership() && $profile->yearlyFee && user_meta('paypal_email', true, $profile->user->id)): ?>
                <div class="text-center border-t pt-5 mt-2">
                    <div>
                        <h3 class="text-lg font-semibold text-indigo-700">
                            <?php echo e(opt('payment-settings.currency_symbol') . $profile->yearlyFee); ?> / <?php echo e(__('Yearly')); ?>

                        </h3>
                    </div>
                    <div>
                        <span class="text-stone-500">
                            <?php echo e(__('Unlocks all posts for a year')); ?>

                        </span>
                    </div>
                    <a href="<?php echo e(route('subscribeViaPaypal', ['user' => $profile->user])); ?>?plan=yearly"
                        class="mt-2 text-sm inline-flex rounded-lg px-3 py-1 text-white bg-indigo-700 hover:bg-indigo-500 font-semibold">
                        <?php echo e(__('Subscribe Yearly')); ?>

                    </a>
                </div>
            <?php endif; ?>
        </div>
        <div class="absolute -bottom-10 text-center w-full ">
            <button
                class="close-popup-btn bg-rose-700 hover:bg-rose-600 text-white font-bold text-sm uppercase rounded-lg  px-2 py-1">
                <i class="fa-solid fa-circle-xmark"></i> <?php echo e(__('Close')); ?>

            </button>
        </div>
    </div>
</div>
<?php /**PATH /var/www/testinstalls.crivion.com/resources/views/profile/membership-popup.blade.php ENDPATH**/ ?>