<?php
$activeClass = 'hover:text-indigo-800 text-indigo-600 bg-white hover:bg-white';
$normalClass = 'text-indigo-800 hover:text-indigo-600 hover:bg-white';
?>
<ul class="space-y-2 max-w-xs">
    <li>
        <a href="<?php echo e(route('feed')); ?>"
            class="flex items-center p-2 text-base font-semibold rounded-lg  <?php if(isset($active) && $active == 'feed'): ?> <?php echo e($activeClass); ?> <?php else: ?> <?php echo e($normalClass); ?> <?php endif; ?>">
            <i class="fa-solid fa-house-signal"></i>
            <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.feed'); ?></span>
        </a>
    </li>
    <li>
        <a href="<?php echo e(route('browseCreators')); ?>"
            class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-white">
            <i class="fa-solid fa-compass"></i>
            <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.exploreCreators'); ?></span>
        </a>
    </li>
    <li>
        <a href="<?php echo e(route('profile.show', ['username' => auth()->user()->profile->username])); ?>"
            class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-white">
            <i class="fa-solid fa-address-card"></i>
            <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.myPage'); ?></span>
        </a>
    </li>
    <li>
        <a href="<?php echo e(route('notifications.index')); ?>"
            class="relative flex items-center p-2 text-base font-semibold rounded-lg  <?php if(isset($active) && $active == 'notifications'): ?> <?php echo e($activeClass); ?> <?php else: ?> <?php echo e($normalClass); ?> <?php endif; ?>">
            <i class="fa-solid fa-bell"></i>
            <span class="ml-4 text-left whitespace-nowrap relative">
                <?php echo app('translator')->get('navigation.myNotifications'); ?>
            </span>
            <span class="ml-2 bg-indigo-200 text-indigo-700 text-xs rounded-lg p-1">
                <?php echo e(__(':newNotifications new', ['newNotifications' => auth()->user()->unreadNotifications()->count()])); ?>

            </span>
        </a>
    </li>
    <li>
        <a href="<?php echo e(route('messages.inbox')); ?>"
            class="relative flex items-center p-2 text-base font-semibold rounded-lg  <?php if(isset($active) && $active == 'messages'): ?> <?php echo e($activeClass); ?> <?php else: ?> <?php echo e($normalClass); ?> <?php endif; ?>">
            <i class="fa-solid fa-envelope"></i>
            <span class="ml-4 text-left whitespace-nowrap relative">
                <?php echo app('translator')->get('navigation.messages'); ?>
            </span>
            <span class="ml-2 bg-indigo-200 text-indigo-700 text-xs rounded-lg p-1">
                <?php echo e(auth()->user()->unreadInboxCount() .' ' .__('new')); ?>

            </span>
        </a>
    </li>
    <li>
        <a href="<?php echo e(route('mySubscribers')); ?>"
            class="flex items-center p-2 text-base font-semibold rounded-lg  <?php if(isset($active) && $active == 'my-subscribers'): ?> <?php echo e($activeClass); ?> <?php else: ?> <?php echo e($normalClass); ?> <?php endif; ?>">
            <i class="fa-solid fa-user-shield"></i>
            <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.my-subscribers'); ?></span>
        </a>
    </li>
    <li>
        <a href="<?php echo e(route('mySubscriptions')); ?>"
            class="flex items-center p-2 text-base font-semibold rounded-lg <?php if(isset($active) && $active == 'my-subscriptions'): ?> <?php echo e($activeClass); ?> <?php else: ?> <?php echo e($normalClass); ?> <?php endif; ?>">
            <i class="fa-solid fa-user-tag"></i>
            <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.my-subscriptions'); ?></span>
        </a>
    </li>
    <li>
        <a href="<?php echo e(route('accountSettings')); ?>"
            class="relative flex items-center p-2 text-base font-semibold rounded-lg  <?php if(isset($active) && $active == 'settings'): ?> <?php echo e($activeClass); ?> <?php else: ?> <?php echo e($normalClass); ?> <?php endif; ?>">
            <i class="fa-solid fa-user-gear"></i>
            <span class="ml-3 text-left whitespace-nowrap relative">
                <?php echo app('translator')->get('navigation.account'); ?>
            </span>
            <span class="ml-2 bg-indigo-200 text-indigo-700 text-xs rounded-lg p-1">
                <?php if(auth()->user()->isPlatinum()): ?>
                    <?php echo app('translator')->get('navigation.accountTypePlatinum'); ?>
                <?php else: ?>
                    <?php echo app('translator')->get('navigation.accountTypeFree'); ?>
                <?php endif; ?>
            </span>
        </a>
    </li>
    <li>
        <a href="<?php echo e(route('shop.myProducts')); ?>"
            class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-white">
            <i class="fa-solid fa-shop"></i>
            <span class="flex-1 ml-3 text-left whitespace-nowrap">
                <?php echo app('translator')->get('navigation.myShop'); ?>
                <i class="text-sm fa-solid fa-chevron-down"></i>
            </span>
        </a>
        <ul class="text-sm pl-10 <?php if(isset($active) && stristr($active, 'shop.')): ?> <?php else: ?> hidden <?php endif; ?>">
            <li>
                <a href="<?php echo e(route('shop.addProduct')); ?>"
                    class="text-indigo-800 hover:text-indigo-600 <?php if(isset($active) && $active == 'shop.add-product'): ?> font-bold <?php endif; ?>">
                    <?php echo e(__('Add Product')); ?>

                </a>
            </li>
            <li>
                <a href="<?php echo e(route('shop.myProducts')); ?>"
                    class="text-indigo-800 hover:text-indigo-600 <?php if(isset($active) && $active == 'shop.my-products'): ?> font-bold <?php endif; ?>">
                    <?php echo e(__('My Products')); ?>

                </a>
            </li>
            <li>
                <a href="<?php echo e(route('shop.ordersReceived')); ?>"
                    class="text-indigo-800 hover:text-indigo-600 <?php if(isset($active) && $active == 'shop.orders-received'): ?> font-bold <?php endif; ?>">
                    <?php echo e(__('Orders Received')); ?>

                </a>
            </li>
            <li>
                <a href="<?php echo e(route('shop.shippingSettings')); ?>"
                    class="text-indigo-800 hover:text-indigo-600 <?php if(isset($active) && $active == 'shop.shipping-settings'): ?> font-bold <?php endif; ?>">
                    <?php echo e(__('Shipping Settings')); ?>

                </a>
            </li>
            <li>
                <a href="<?php echo e(route('shop.userShopFront', ['user' => auth()->user()->profile->username ])); ?>"
                        class="text-indigo-800 hover:text-indigo-600">
                        <?php echo e(__('View Shopfront')); ?>

                </a>
            </li>
        </ul>
    </li>
    <li>
        <a href="<?php echo e(route('shop.ordersPlaced')); ?>"
            class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-white   <?php if(isset($active) && $active == 'shop.orders-placed'): ?> <?php echo e($activeClass); ?> <?php else: ?> <?php echo e($normalClass); ?> <?php endif; ?>">
            <i class="fa-solid fa-basket-shopping"></i>
            <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.ordersPlaced'); ?></span>
        </a>
    </li>
    <li>
        <a href="<?php echo e(route('paymentGateways')); ?>"
            class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-white  <?php if(isset($active) && $active == 'payment-gateways'): ?> <?php echo e($activeClass); ?> <?php else: ?> <?php echo e($normalClass); ?> <?php endif; ?>">
            <i class="fa-solid fa-cash-register"></i>
            <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.paymentGateways'); ?></span>
        </a>
    </li>
    <li>
        <a href="<?php echo e(route('logout')); ?>"
            class="flex items-center p-2 text-base font-semibold text-indigo-800 rounded-lg hover:text-indigo-600 hover:bg-white">
            <i class="fa-solid fa-arrow-right-from-bracket"></i>
            <span class="flex-1 ml-3 text-left whitespace-nowrap"><?php echo app('translator')->get('navigation.logout'); ?></span>
        </a>
    </li>
</ul>
<?php /**PATH /Users/crivion/Sites/koffee-fans-103/resources/views/components/account-navigation.blade.php ENDPATH**/ ?>