<?php $__env->startSection('seo_title', $product->product_name . ' - '); ?>

<?php $__env->startSection('content'); ?>
    <div class="lg:max-w-5xl mx-auto bg-white mt-10">
        <div class="lg:flex lg:items-start lg:space-x-3">

            <div class="lg:w-1/2">
                <div class="images-carousel relative" x-data="carousel()" x-cloak>
                    <div class="absolute top-1/2 left-0" x-show="images.length > 1">
                        <button class="bg-stone-100 px-4 py-2"
                            @click="if (selected > 0 ) {selected -= 1} else { selected = images.length - 1 }">
                            <i class="fas fa-arrow-circle-left text-gray-500"></i>
                        </button>
                    </div>

                    <img :src="images[selected]" alt="logo"
                        class="w-full rounded-tl-lg lg:rounded-bl-lg rounded-tr-lg lg:rounded-tr-none">

                    <div class="absolute top-1/2 right-0" x-show="images.length > 1">
                        <button class=" bg-slate-100 px-4 py-2"
                            @click="if (selected < images.length - 1  ) {selected += 1} else { selected = 0 }">
                            <i class="fas fa-arrow-circle-right text-gray-500"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="lg:w-1/2">
                <div class="px-5 py-5">
                    <h1 class="text-indigo-800 text-2xl font-semibold"><?php echo e($product->product_name); ?></h1>
                    <div class="flex items-center justify-between mt-3">
                        <div class="flex items-center space-x-2">
                            <div class="border-2 border-white bg-white  shadow rounded-full w-10 h-10">
                                <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>">
                                    <img src="<?php echo e(secure_image($profile->profilePic, 95, 95)); ?>"
                                        class="w-full rounded-full" />
                                </a>
                            </div>
                            <div>
                                <a href="<?php echo e(route('profile.show', ['username' => $profile->username])); ?>"
                                    class="text-stone-500 hover:text-stone-400 font-semibold text-lg">
                                    <?php echo e($profile->user->name); ?>

                                </a>
                            </div>
                        </div>
                        <div>
                            <a class="font-semibold text-stone-500 hover:text-stone-400"
                                href="<?php echo e(route('shop.userShopFront', ['user' => $profile->username])); ?>">
                                <i class="fa-solid fa-shop"></i>
                                <?php echo app('translator')->get('shop.viewShop'); ?>
                            </a>
                        </div>
                    </div>


                    
                    <p class="text-stone-600 mt-0 pb-5"><?php echo clean(nl2br($product->description)); ?></p>

                    <form method="GET" action="<?php echo e(route('checkout', ['product' => $product])); ?>">
                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => ['class' => 'mt-4']] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'mt-4']); ?><?php echo e(__('How much you would like to pay?')); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.input','data' => ['class' => 'w-full mb-2','name' => 'amount','type' => 'numeric','placeholder' => ''.e(opt('payment-settings.currency_symbol') . $product->price . __(' or more')).'','required' => true]] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'w-full mb-2','name' => 'amount','type' => 'numeric','placeholder' => ''.e(opt('payment-settings.currency_symbol') . $product->price . __(' or more')).'','required' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                        <button
                            class="rounded-lg py-2 bg-indigo-700 text-center text-white hover:bg-indigo-600 w-full font-bold text-lg">
                            <?php echo e(__('Buy Now')); ?>

                        </button>
                    </form>
                    <span
                        class="inline-flex mt-2 rounded-lg px-1 py-0.5 bg-indigo-100 border-2 border-indigo-200 text-indigo-500 text-sm">
                        <?php echo e($product->stock . __(' in stock')); ?>

                    </span>

                    <p class="mt-5 text-stone-500 text-sm">
                        <i class="fa-solid fa-shipping-fast mr-1"></i> <?php echo e(__('Shipping Fee')); ?>

                    <ul class="list-disc text-stone-500 text-sm ml-10 mt-2">
                        <li><?php echo e(__('Worldwide: ') . opt('payment-settings.currency_symbol') . user_meta('default_shipping_price', true, $product->user_id)); ?>

                        </li>
                        <?php if($shippingPrices): ?>
                            <?php $__currentLoopData = $shippingPrices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country => $price): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="mt-1">
                                    <?php echo e($country . ': ' . opt('payment-settings.currency_symbol') . $price); ?>

                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </ul>
                    </p>


                    <?php if($disabledShipping): ?>
                        <p class="text-stone-500 text-sm mt-5">
                            <i class="fa-solid fa-ban mr-1"></i>
                            <?php echo e(__('At the moment seller cannot ship to the following countries: ')); ?>


                        <ul class="list-disc text-stone-500 text-sm ml-10 mt-2">
                            <?php $__currentLoopData = $disabledShipping; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="mt-1">
                                    <?php echo e($country); ?>

                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                        </p>
                    <?php endif; ?>

                    <p class="text-stone-500 text-sm mt-5">
                        <i class="fa-regular fa-circle-info mr-1"></i> <?php echo e(__('Notes: ')); ?>

                        <?php echo e(user_meta('shipping_notes', true, $product->user_id)); ?>

                    </p>

                </div>
            </div>
        </div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('extraCSS'); ?>
    <script>
        const carousel = () => {
            return {
                selected: 0,
                images: [
                    <?php $__currentLoopData = $product->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        "<?php echo e(Storage::disk(env('DEFAULT_STORAGE', 'public'))->url($image->image)); ?>",
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                ],
            };
        };
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('welcome', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/crivion/Sites/koffee-fans-103/resources/views/shop/single-product.blade.php ENDPATH**/ ?>