<?php $__env->startSection('seo_title'); ?>
    <?php echo app('translator')->get('navigation.feed'); ?> -
<?php $__env->stopSection(); ?>

<?php $__env->startSection('account_section'); ?>
    <?php if(auth()->check()): ?>
        <?php echo $__env->make('posts.create-post', [
            'user' => auth()->user(),
            'profile' => auth()->user()->profile,
        ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>

    <?php if($feed->count()): ?>
        <div class="postsList">
            <?php $__currentLoopData = $feed; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $__env->startComponent('posts.single', ['post' => $post]); ?>
                <?php echo $__env->renderComponent(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

        <div class="text-center loadingPostsMsg hidden">
            <h3 class="text-secondary"><i class="fas fa-spinner fa-spin mr-2"></i> <?php echo app('translator')->get('post.isLoading'); ?></h3>
        </div>

        <div class="text-center noMorePostsMsg hidden">
            <div class="card p-3">
                <h3 class="text-secondary"><?php echo app('translator')->get('post.noMorePosts'); ?></h3>
            </div>
        </div>

        <input type="number" class="lastId hidden" value="<?php echo e($feed->last()->id); ?>">
    <?php else: ?>
        <div class="rounded-lg shadow-sm p-3 bg-white text-center">
            <h5 class="text-stone-600 font-bold text-lg">
                <?php echo app('translator')->get('post.noSubscriptions'); ?>
            </h5>
        </div>
    <?php endif; ?>
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('extraJS'); ?>
<script>
  window.addEventListener('DOMContentLoaded', (event) => {
      $(document.body).on('touchmove', onScroll); // for mobile
      $(window).on('scroll', onScroll);
      let isLoadingNewPosts = false;
      function onScroll() {
        if($(window).scrollTop() + $(window).height() >= $(document).height()-100) {
          if(!isLoadingNewPosts) {
          // show spinner
          $( '.loadingPostsMsg' ).removeClass( 'hidden' );
         
          // get last id
          var lastId = $( '.lastId' ).val();
          // log some infos
          // console.log('should get new stuff');
          // console.log(`LastID value is ${lastId}`);
          $.ajax({
            dataType: 'json',
            url:'<?php echo e(route( 'loadMorePosts', [ 'lastId' => '/' ])); ?>/' + lastId,
            beforeSend: function() {
              console.log('beforeSend');
              isLoadingNewPosts = true;
            },
           
          }).done(function(resp) {
              isLoadingNewPosts = false;
              if( resp.lastId != 0 ) {
                // append html
                $( '.postsList' ).append( resp.view );
                $('.lastId').val(resp.lastId);
              }else{
                // cancel scroll event
                $(window).off('scroll');
                $( '.noMorePostsMsg' ).removeClass( 'hidden' );
                $('.lastId').val(0);
              }
          }).always(function() {
              $( '.loadingPostsMsg' ).addClass( 'hidden' );
              isLoadingNewPosts = false;
          }).fail(function(err) {
              console.log(err);
              isLoadingNewPosts = true;
          });
        }// if !isLoadingNewPosts
        }// if scroll enough to trigger loading more content
      }// onScroll function
	});// event listener
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('account', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/crivion/Sites/koffee-fans/resources/views/user-feed.blade.php ENDPATH**/ ?>