<div class="bg-white rounded-lg shadow-sm px-5 py-10">
    <ul class="flex flex-wrap text-sm font-medium text-center text-gray-500 border-b border-indigo-100">
        <li class="nav-item mr-2">
            <a class="inline-block p-4 rounded-t-lg hover:text-gray-600 hover:bg-gray-50 nav-link <?php if($tab == 'Free'): ?> bg-gray-100 text-indigo-600 <?php endif; ?>"
                href="javascript:void(0);" wire:click="tab('Free')">
                <?php echo app('translator')->get('general.freeSubscriptions'); ?>
            </a>
        </li>
        <li class="nav-item mr-2">
            <a class="inline-block p-4 rounded-t-lg hover:text-gray-600 hover:bg-gray-50 nav-link <?php if($tab == 'Paid'): ?> bg-gray-100 text-indigo-600 <?php endif; ?>"
                href="javascript:void(0);" wire:click="tab('Paid')">
                <?php echo app('translator')->get('general.paidSubscriptions'); ?>
            </a>
        </li>
    </ul>

    <?php if($subscribers->count()): ?>

        <div class="mt-4 flex flex-wrap items-center">

            <?php if($tab == 'Paid'): ?>

                <?php $__currentLoopData = $subscribers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $s): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="flex lg:w-1/2 items-center w-full mb-3">

                        <div class="border-2 border-white bg-white  shadow rounded-full w-20 h-20">
                            <a href="<?php echo e(route('profile.show', ['username' => $s->creator->profile->username])); ?>">
                                <img src="<?php echo e(secure_image($s->creator->profile->profilePic, 95, 95)); ?>"
                                    class="w-full rounded-full" />
                            </a>
                        </div>

                        <div class="flex-grow pl-2">
                            <div class="text-lg text-gray-500 font-semibold flex">
                                <?php echo e($s->creator->profile->name); ?>

                            </div>

                            <a href="<?php echo e($s->creator->profile->url); ?>"
                                class="font-bold lg:text-lg text-xl text-indigo-800 hover:text-indigo-600 flex mb-1">
                                <?php echo e($s->creator->profile->handle); ?>

                            </a>
                            <span class="rounded-lg bg-gray-200 text-gray-500 font-semibold text-xs p-1 w-full">
                                <?php echo app('translator')->get('general.expires'); ?> - <?php echo e($s->subscription_expires->format('jS F Y')); ?>

                            </span>
                            </small>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php elseif($tab == 'Free'): ?>
                <?php $__currentLoopData = $subscribers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $s): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="flex lg:w-1/2 items-center w-full mb-3">
                        <div class="border-2 border-white bg-white  shadow rounded-full w-20 h-20">
                            <a href="<?php echo e(route('profile.show', ['username' => $s->profile->username])); ?>">
                                <img src="<?php echo e(secure_image($s->profile->profilePic, 95, 95)); ?>"
                                    class="w-full rounded-full" />
                            </a>
                        </div>

                        <div class="flex-grow pl-2">
                            <div class="text-lg text-gray-500 font-semibold flex">
                                <?php echo e($s->profile->name); ?>

                            </div>
                            <a href="<?php echo e($s->profile->url); ?>"
                                class="font-bold lg:text-lg text-xl text-indigo-800 hover:text-indigo-600">
                                <?php echo e($s->profile->handle); ?>

                            </a>
                            <br>
                            <a href="javascript:void(0);" wire:click="unfollow(<?php echo e($s->id); ?>)"
                                class="text-rose-600 hover:text-rose-800 text-sm">
                                <?php echo app('translator')->get('general.unfollow'); ?>
                            </a>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>

            <div class="flex w-full mt-5">
                <?php echo e($subscribers->links()); ?>

            </div>

        </div>
    <?php else: ?>
        <h3 class="text-gray-500 text-center mt-5 flex text-xl">
            <i class="far fa-surprise"></i> <?php echo app('translator')->get('profile.noSubscriptions'); ?>
        </h3>
    <?php endif; ?>


</div>
<?php /**PATH /var/www/works.crivion.com/resources/views/livewire/user-subscriptions-list.blade.php ENDPATH**/ ?>