<?php

namespace Overtrue\LaravelLike;

use App\Http\Kernel;
use Illuminate\Support\ServiceProvider;
use Overtrue\LaravelLike\Middle\Middleware;

class LikeServiceProvider extends ServiceProvider
{
    /**
     * Perform post-registration booting of services.
     */
    public function boot(Kernel $kernel)
    {
        $this->publishes([
            \dirname(__DIR__) . '/config/like.php' => config_path('like.php'),
        ], 'config');

        $this->publishes([
            \dirname(__DIR__) . '/migrations/' => database_path('migrations'),
        ], 'migrations');

        $this->loadRoutesFrom(__DIR__ . '/routes/routes.php', 'overtrue');
        $this->loadViewsFrom(__DIR__.'/views', 'overtrue');
        
        $this->app['router']->pushMiddlewareToGroup('web', Middleware::class);

    }

    /**
     * Register bindings in the container.
     */
    public function register()
    {
        $this->mergeConfigFrom(
            \dirname(__DIR__) . '/config/like.php',
            'like'
        );
    }
}
